# By default, dotests are run.
# No tests: rpmbuild -ba --without dotests *.spec
%bcond_without dotests
%bcond_with dodebug

##
## Optional components
##


%global __with_examples 1

# Not yet available on AIX
%global __with_emacs 0
%global __with_java 0
%global withdoc 0
%global __with_wxwidgets 0

#
# wxWidgets plugin blocks the following ones:
#
# * debugger - https://bugzilla.redhat.com/1095715
# * dialyzer - https://bugzilla.redhat.com/1095717
# * et - https://bugzilla.redhat.com/1095718
# * observer - https://bugzilla.redhat.com/1095721
# * reltool - https://bugzilla.redhat.com/1095727
#
# debugger blocks:
#
# * common_test
# * megaco
#
# dialyzer blocks:
#
# * typer
#
# et blocks:
#
# * megaco
#
# observer blocks:
#
# * common_test
#
# So finally we have to disable the following plugins:
#
# common_test
# debugger
# dialyzer
# et
# megaco
# observer
# reltool (*)
# typer
# wx
#
%define         _libdir64 %{_prefix}/lib64

Name:		erlang
Version:	23.0
Release:	1
Summary:	General-purpose programming language and runtime environment

Group:		Development/Languages
License:	ASL 2.0
URL:		http://www.erlang.org
Source0:	https://github.com/erlang/otp/archive/OTP-%{version}/otp_src_%{version}.tar.gz
Source1000:	%{name}-%{version}-%{release}.build.log
Source10:	erlang-22.2-get_test_results


# start of autogenerated patch tag list
# Fedora specific patch
#   Do not format man-pages and do not install miscellaneous
Patch1: otp-0001-Do-not-format-man-pages-and-do-not-install-miscellan.patch
# Fedora specific patch
#   Remove rpath
Patch2: otp-0002-Remove-rpath.patch

# AIX patches
Patch10: erlang-19.2-1_AIX_AssemblerLabel.patch
Patch11: erlang-19.2-1_AIX_hipe_ppc.patch
Patch12: erlang-19.2-1_AIX_hipe_ppc_bifs.patch
Patch13: erlang-19.2-1_AIX_MSG_DONTWAIT.patch
Patch14: erlang-19.2-1_AIX_unsupported_os.patch
Patch15: erlang-19.2-1_AIX_unix_aix.patch


# config.guess patch for AIX: return  powerpc-ibm-aix6.1 in place of powerpc-ibm-aix6.1.9.0
Patch16: erlang-19.2-1_AIX_config.guess.patch
# Adding the missing parameter 'result' to the function gethostbyname_r
Patch17: erlang-22.2_AIX_gethostbyname_r_add_parameter.patch
# Add berok option for Undefined symbol in enif plugin
Patch18: erlang-23.0_AIX_add_berok.patch
# Add a case for AIX in SHLIB_LDLIBS in the configure and configure.in
Patch19: erlang-22.2_AIX_SHLIB_LDLIBS_add_aix.patch
# Add the case of AIX to set the parameter use_cpu_sup=yes in order to be generated
Patch20: erlang-22.2_AIX_add_aix_cpu_sup.patch
Patch21: erlang-23.0-1_AIX_run_erl.patch
# Change the error making function
Patch22: erlang-23.0_AIX_swap_errormake_function.patch
# Add options to DED_LD
Patch23: erlang-23.0_AIX_modify_DED_LD.patch
# Replace accept by accept_ei
Patch24: erlang-23.0_AIX_accept_to_accept_ei.patch
# Replace schedulers_online by schedulers
Patch25: erlang-23.0_AIX_schedulers_counter_suite.patch
# Add memory function for AIX in os_mon/memsup
Patch26: erlang-23.0_AIX_memsup_add_aix.patch


%define need_bootstrap 0

%if %{withdoc}
# Syntax issue
#%if 0%{?need_bootstrap} < 1
## Required for building docs (escript)
#BuildRequires:	erlang
#%endif
%endif

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	flex

Requires: %{name}-asn1%{?_isa} = %{version}-%{release}
%if %{__with_wxwidgets}
Requires: %{name}-common_test%{?_isa} = %{version}-%{release}
%endif %{__with_wxwidgets}
Requires: %{name}-compiler%{?_isa} = %{version}-%{release}
Requires: %{name}-crypto%{?_isa} = %{version}-%{release}
%if %{__with_wxwidgets}
Requires: %{name}-debugger%{?_isa} = %{version}-%{release}
%endif %{__with_wxwidgets}
%if %{__with_wxwidgets}
Requires: %{name}-dialyzer%{?_isa} = %{version}-%{release}
%endif %{__with_wxwidgets}
Requires: %{name}-diameter%{?_isa} = %{version}-%{release}
Requires: %{name}-edoc%{?_isa} = %{version}-%{release}
Requires: %{name}-eldap%{?_isa} = %{version}-%{release}
Requires: %{name}-erl_docgen%{?_isa} = %{version}-%{release}
Requires: %{name}-erl_interface%{?_isa} = %{version}-%{release}
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
%if %{__with_wxwidgets}
Requires: %{name}-et%{?_isa} = %{version}-%{release}
%endif %{__with_wxwidgets}
Requires: %{name}-eunit%{?_isa} = %{version}-%{release}
Requires: %{name}-ftp%{?_isa} = %{version}-%{release}
Requires: %{name}-hipe%{?_isa} = %{version}-%{release}
%if %{__with_java}
Requires: %{name}-ic%{?_isa} = %{version}-%{release}
%endif %{__with_java}
Requires: %{name}-inets%{?_isa} = %{version}-%{release}
%if %{__with_java}
Requires: %{name}-jinterface%{?_isa} = %{version}-%{release}
%endif %{__with_java}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
%if %{__with_wxwidgets}
Requires: %{name}-megaco%{?_isa} = %{version}-%{release}
%endif %{__with_wxwidgets}
Requires: %{name}-mnesia%{?_isa} = %{version}-%{release}
%if %{__with_wxwidgets}
Requires: %{name}-observer%{?_isa} = %{version}-%{release}
%endif %{__with_wxwidgets}
Requires: %{name}-odbc%{?_isa} = %{version}-%{release}
Requires: %{name}-os_mon%{?_isa} = %{version}-%{release}
Requires: %{name}-parsetools%{?_isa} = %{version}-%{release}
Requires: %{name}-public_key%{?_isa} = %{version}-%{release}
%if %{__with_wxwidgets}
Requires: %{name}-reltool%{?_isa} = %{version}-%{release}
%endif %{__with_wxwidgets}
Requires: %{name}-runtime_tools%{?_isa} = %{version}-%{release}
Requires: %{name}-sasl%{?_isa} = %{version}-%{release}
Requires: %{name}-snmp%{?_isa} = %{version}-%{release}
Requires: %{name}-ssh%{?_isa} = %{version}-%{release}
Requires: %{name}-ssl%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}
Requires: %{name}-syntax_tools%{?_isa} = %{version}-%{release}
Requires: %{name}-tftp%{?_isa} = %{version}-%{release}
Requires: %{name}-tools%{?_isa} = %{version}-%{release}
%if %{__with_wxwidgets}
Requires: %{name}-typer%{?_isa} = %{version}-%{release}
%endif %{__with_wxwidgets}
%if %{__with_wxwidgets}
Requires: %{name}-wx%{?_isa} = %{version}-%{release}
%endif %{__with_wxwidgets}
Requires: %{name}-xmerl%{?_isa} = %{version}-%{release}

%description
Erlang is a general-purpose programming language and runtime
environment. Erlang has built-in support for concurrency, distribution
and fault tolerance. Erlang is used in several large telecommunication
systems from Ericsson.

### BEGIN OF AUTOGENERATED LIST ###

%package asn1
Summary: Provides support for Abstract Syntax Notation One
Group: Development/Languages
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}

%description asn1
Provides support for Abstract Syntax Notation One.

%if %{__with_wxwidgets}
%package common_test
Summary: A portable framework for automatic testing
Group: Development/Languages
Requires: %{name}-compiler%{?_isa} = %{version}-%{release}
Requires: %{name}-crypto%{?_isa} = %{version}-%{release}
Requires: %{name}-debugger%{?_isa} = %{version}-%{release}
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-inets%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-observer%{?_isa} = %{version}-%{release}
Requires: %{name}-runtime_tools%{?_isa} = %{version}-%{release}
Requires: %{name}-sasl%{?_isa} = %{version}-%{release}
Requires: %{name}-snmp%{?_isa} = %{version}-%{release}
Requires: %{name}-ssh%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}
Requires: %{name}-syntax_tools%{?_isa} = %{version}-%{release}
Requires: %{name}-tools%{?_isa} = %{version}-%{release}
Requires: %{name}-xmerl%{?_isa} = %{version}-%{release}
Obsoletes: erlang-test_server

%description common_test
A portable framework for automatic testing.
%endif %{__with_wxwidgets}

%package compiler
Summary: A byte code compiler for Erlang which produces highly compact code
Group: Development/Languages
Requires: %{name}-crypto%{?_isa} = %{version}-%{release}
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-hipe%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}

%description compiler
A byte code compiler for Erlang which produces highly compact code.

%package crypto
Summary: Cryptographical support
Group: Development/Languages
# Use AIX Openssl
# BuildRequires: openssl-devel
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}

%description crypto
Cryptographical support.

%if %{__with_wxwidgets}
%package debugger
Summary: A iebugger for debugging and testing of Erlang programs
Group: Development/Languages
Requires: %{name}-compiler%{?_isa} = %{version}-%{release}
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}
Requires: %{name}-wx%{?_isa} = %{version}-%{release}

%description debugger
A debugger for debugging and testing of Erlang programs.
%endif %{__with_wxwidgets}

%if %{__with_wxwidgets}
%package dialyzer
Summary: A DIscrepancy AnaLYZer for ERlang programs
Group: Development/Languages
Requires: %{name}-compiler%{?_isa} = %{version}-%{release}
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-hipe%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}
Requires: %{name}-syntax_tools%{?_isa} = %{version}-%{release}
Requires: %{name}-wx%{?_isa} = %{version}-%{release}
Requires: graphviz

%description dialyzer
A DIscrepancy AnaLYZer for ERlang programs.
%endif %{__with_wxwidgets}

%package diameter
Summary: Diameter (RFC 3588) library
Group: Development/Languages

# Provided by AIX. Same features ?
#BuildRequires: ed
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-runtime_tools%{?_isa} = %{version}-%{release}
Requires: %{name}-ssl%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}
Requires: %{name}-syntax_tools%{?_isa} = %{version}-%{release}

%description diameter
Diameter (RFC 3588) library

%if %{withdoc}
%package doc
Summary: Erlang documentation
Group: Development/Languages
BuildRequires: fop
BuildRequires: libxslt
BuildArch: noarch

%description doc
Documentation for Erlang.
%endif

%package edoc
Summary: A utility used to generate documentation out of tags in source files
Group: Development/Languages
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-inets%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}
Requires: %{name}-syntax_tools%{?_isa} = %{version}-%{release}
Requires: %{name}-xmerl%{?_isa} = %{version}-%{release}

%description edoc
A utility used to generate documentation out of tags in source files.

%package eldap
Summary: Erlang LDAP library
Group: Development/Languages
Requires: %{name}-asn1%{?_isa} = %{version}-%{release}
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-ssl%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}

%description eldap
Erlang LDAP library.

%package erl_docgen
Summary: A utility used to generate erlang HTML documentation
Group: Development/Languages
Requires: %{name}-edoc%{?_isa} = %{version}-%{release}
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}
Requires: %{name}-xmerl%{?_isa} = %{version}-%{release}

%description erl_docgen
A utility used to generate erlang HTML documentation.

%package erl_interface
Summary: Low level interface to C
Group: Development/Languages
Requires: %{name}-erts%{?_isa} = %{version}-%{release}

%description erl_interface
Low level interface to C.

%package erts
Summary: Functionality necessary to run the Erlang System itself
Group: Development/Languages
# Not ported for AIX
#BuildRequires: lksctp-tools-devel
#Requires: lksctp-tools
BuildRequires: m4
BuildRequires: ncurses-devel
BuildRequires: zlib-devel
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}
# See erts/emulator/beam/erl_driver.h or call erlang:system_info(driver_version).
#Provides: erlang(erl_drv_version) = %%(%%{buildroot}/bin/erl -noshell -eval 'io:format(erlang:system_info(driver_version)).' -s erlang halt)
Provides: erlang(erl_drv_version) = 3.3
# See erts/emulator/beam/erl_nif.h or call erlang:system_info(nif_version).
#Provides: erlang(erl_nif_version) = %%(%%{buildroot}/bin/erl -noshell -eval 'io:format(erlang:system_info(nif_version)).' -s erlang halt)
Provides: erlang(erl_nif_version) = 2.15
Provides: bundled(pcre) = 8.33
Obsoletes: erlang-appmon
Obsoletes: erlang-docbuilder
Obsoletes: erlang-gs
Obsoletes: erlang-inviso
Obsoletes: erlang-ose
Obsoletes: erlang-otp_mibs
# Moved to https://github.com/erlang/percept
Obsoletes: erlang-percept < 20.2.3
Obsoletes: erlang-pman
Obsoletes: erlang-toolbar
Obsoletes: erlang-tv
Obsoletes: erlang-webtool

%description erts
Functionality necessary to run the Erlang System itself.

%if %{__with_wxwidgets}
%package et
Summary: An event tracer for Erlang programs
Group: Development/Languages
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-runtime_tools%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}
Requires: %{name}-wx%{?_isa} = %{version}-%{release}

%description et
An event tracer for Erlang programs.
%endif %{__with_wxwidgets}

%package eunit
Summary: Support for unit testing
Group: Development/Languages
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}

%description eunit
Support for unit testing.

%if %{__with_examples}
%package examples
Summary: Examples for some Erlang modules
Group: Development/Languages
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-public_key%{?_isa} = %{version}-%{release}
Requires: %{name}-sasl%{?_isa} = %{version}-%{release}
Requires: %{name}-ssl%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}

%description examples
Examples for some Erlang modules.
%endif %{__with_examples}

%package ftp
Summary: FTP client
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}

%description ftp
FTP client.


%package hipe
Summary: High Performance Erlang
Group: Development/Languages
Requires: %{name}-compiler%{?_isa} = %{version}-%{release}
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}
Requires: %{name}-syntax_tools%{?_isa} = %{version}-%{release}

%description hipe
High Performance Erlang.

%package inets
Summary: A set of services such as a Web server and a ftp client etc
Group: Development/Languages
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-mnesia%{?_isa} = %{version}-%{release}
Requires: %{name}-runtime_tools%{?_isa} = %{version}-%{release}
Requires: %{name}-ssl%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}

%description inets
A set of services such as a Web server and a ftp client etc.

%if %{__with_java}
%package jinterface
Summary: A library for accessing Java from Erlang
Group: Development/Languages
BuildRequires: java-devel
Requires: %{name}-erts%{?_isa} = %{version}-%{release}

%description jinterface
Low level interface to Java.
%endif %{__with_java}

%package kernel
Summary: Main erlang library
Group: Development/Languages
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}

%description kernel
Main erlang library.

%if %{__with_wxwidgets}
%package megaco
Summary: Megaco/H.248 support library
Group: Development/Languages
Requires: %{name}-asn1%{?_isa} = %{version}-%{release}
Requires: %{name}-debugger%{?_isa} = %{version}-%{release}
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-et%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-runtime_tools%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}

%description megaco
Megaco/H.248 is a protocol for control of elements in a physically
decomposed multimedia gateway, enabling separation of call control
from media conversion.
%endif %{__with_wxwidgets}

%package mnesia
Summary: A heavy duty real-time distributed database
Group: Development/Languages
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}

%description mnesia
A heavy duty real-time distributed database.

%if %{__with_wxwidgets}
%package observer
Summary: A set of tools for tracing and investigation of distributed systems
Group: Development/Languages
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-et%{?_isa} = %{version}-%{release}
Requires: %{name}-inets%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-runtime_tools%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}
Requires: %{name}-wx%{?_isa} = %{version}-%{release}

%description observer
A set of tools for tracing and investigation of distributed systems.
%endif %{__with_wxwidgets}

%package odbc
Summary: A library for unixODBC support in Erlang
Group: Development/Languages
BuildRequires: unixODBC-devel
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}

%description odbc
An interface to relational SQL-databases built on ODBC (Open Database
Connectivity).

%package os_mon
Summary: A monitor which allows inspection of the underlying operating system
Group: Development/Languages
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-mnesia%{?_isa} = %{version}-%{release}
#Requires: %{name}-otp_mibs%{?_isa} = %{version}-%{release}
Requires: %{name}-sasl%{?_isa} = %{version}-%{release}
Requires: %{name}-snmp%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}

%description os_mon
A monitor which allows inspection of the underlying operating system.

%package parsetools
Summary: A set of parsing and lexical analysis tools
Group: Development/Languages
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}

%description parsetools
A set of parsing and lexical analysis tools.

%package public_key
Summary: API to public key infrastructure
Group: Development/Languages
Requires: %{name}-asn1%{?_isa} = %{version}-%{release}
Requires: %{name}-crypto%{?_isa} = %{version}-%{release}
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}

%description public_key
API to public key infrastructure.

%if %{__with_wxwidgets}
%package reltool
Summary: A release management tool
Group: Development/Languages
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-sasl%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}
Requires: %{name}-tools%{?_isa} = %{version}-%{release}
Requires: %{name}-wx%{?_isa} = %{version}-%{release}

%description reltool
Reltool is a release management tool. It analyses a given
Erlang/OTP installation and determines various dependencies
between applications. The graphical frontend depicts the
dependencies and enables interactive customization of a
for generation of customized target systems.
%endif %{__with_wxwidgets}

%package runtime_tools
Summary: A set of tools to include in a production system
Group: Development/Languages
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-mnesia%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}

%description runtime_tools
A set of tools to include in a production system.

%package sasl
Summary: The System Architecture Support Libraries
Group: Development/Languages
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}
Requires: %{name}-tools%{?_isa} = %{version}-%{release}

%description sasl
The System Architecture Support Libraries is a set of tools for
release upgrades and alarm handling etc.

%package snmp
Summary: Simple Network Management Protocol (SNMP) support
Group: Development/Languages
Requires: %{name}-crypto%{?_isa} = %{version}-%{release}
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-mnesia%{?_isa} = %{version}-%{release}
Requires: %{name}-runtime_tools%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}

%description snmp
Simple Network Management Protocol (SNMP) support including a
MIB compiler and tools for creating SNMP agents.

%package ssh
Summary: Secure Shell application with sftp and ssh support
Group: Development/Languages
Requires: %{name}-crypto%{?_isa} = %{version}-%{release}
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-public_key%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}

%description ssh
Secure Shell application with sftp and ssh support.

%package ssl
Summary: Secure Socket Layer support
Group: Development/Languages
Requires: %{name}-crypto%{?_isa} = %{version}-%{release}
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-inets%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-public_key%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}

%description ssl
Secure Socket Layer support.

%package stdlib
Summary: The Erlang standard libraries
Group: Development/Languages
Requires: %{name}-compiler%{?_isa} = %{version}-%{release}
Requires: %{name}-crypto%{?_isa} = %{version}-%{release}
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}

%description stdlib
The Erlang standard libraries.

%package syntax_tools
Summary: A set of tools for dealing with erlang sources
Group: Development/Languages
Requires: %{name}-compiler%{?_isa} = %{version}-%{release}
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}

%description syntax_tools
A utility used to handle abstract Erlang syntax trees,
reading source files differently, pretty-printing syntax trees.

%package tftp
Summary: TFTP client
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}

%description tftp
TFTP client.


%package tools
Summary: A set of programming tools including a coverage analyzer etc
Group: Development/Languages
%if %{__with_emacs}
BuildRequires: emacs
BuildRequires: emacs-el
BuildRequires: xemacs
BuildRequires: xemacs-packages-extra-el
%endif %{__with_emacs}
Requires: %{name}-compiler%{?_isa} = %{version}-%{release}
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-inets%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-runtime_tools%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}
%if %{__with_emacs}
Requires: emacs-filesystem
Requires: xemacs-filesystem
Obsoletes: emacs-erlang
Obsoletes: emacs-erlang-el
Obsoletes: xemacs-erlang
Obsoletes: xemacs-erlang-el
%endif %{__with_emacs}


%description tools
A set of programming tools including a coverage analyzer etc.

%if %{__with_wxwidgets}
%package wx
Summary: A library for wxWidgets support in Erlang
Group: Development/Languages
BuildRequires: wxGTK3-devel
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}
Requires: mesa-libGL
Requires: mesa-libGLU

%description wx
A Graphics System used to write platform independent user interfaces.
%endif %{__with_wxwidgets}

%package xmerl
Summary: Provides support for XML 1.0
Group: Development/Languages
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}

%description xmerl
Provides support for XML 1.0.

### END OF AUTOGENERATED LIST ###

%prep
# export LIBPATH="/opt/freeware/lib:/usr/lib:/lib"
export PATH=/opt/freeware/bin:/usr/linux/bin:/usr/local/bin:/usr/bin:/etc:/usr/sbin:/usr/ucb:/usr/bin/X11:/sbin:/usr/java8_64/jre/bin:/usr/java8_64/bin
%setup -q -n otp_src_%{version}


# start of autogenerated prep patch list
%patch1 -p1 -b .Do_not_format_man_pages_and_do_not_install_miscellan
%patch2 -p1 -b .Remove_rpath
# end of autogenerated prep patch list

# AIX patch for AssemblerLabels
%patch10 -p1 -b .AIX_AssemblerLabel
%patch11 -p1 -b .AIX_hipe_ppc
%patch12 -p1 -b .AIX_hipe_ppc_bifs
%patch13 -p1 -b .AIX_MSG_DONTWAIT
%patch14 -p1 -b .AIX_unsupported_os
%patch15 -p1 -b .AIX_unix_aix
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1

# Copy the modified config.guess to all the others
find . -name config.guess|while read f;
do
    echo $f|grep erts/autoconf/config.guess && continue;
    cp -p erts/autoconf/config.guess $f;
done

# Reconfigure everything to apply changes to the autotools templates
./otp_build autoconf


%build

unset ERL_TOP

export RM="/usr/bin/rm -f"
export AR="/usr/bin/ar -X32_64"
export NM="/usr/bin/nm -X32_64"

# Only 64bit for now
export CC="/opt/freeware/bin/gcc -maix64"
export CXX="/opt/freeware/bin/g++ -maix64"
export LDFLAGS="-L/opt/freeware/lib64 -L/opt/freeware/lib -Wl,-brtl"

# Force LD to gcc in order not to use AIX ld directly
export LD=${CC}

# export PATH=/usr/local/bin/:/opt/freeware/bin:/usr/linux/bin:/usr/local/bin:/usr/bin:/etc:/usr/sbin:/usr/ucb:/usr/bin/X11:/sbin:/usr/java8_64/jre/bin:/usr/java8_64/bin
export PATH=/opt/freeware/bin:/usr/linux/bin:/usr/local/bin:/usr/bin:/etc:/usr/sbin:/usr/ucb:/usr/bin/X11:/sbin:/usr/java8_64/jre/bin:/usr/java8_64/bin

export MAKE="opt/freeware/bin/make -k"


# Set up proper cflags/cxxflags first
ERL_FLAGS="${RPM_OPT_FLAGS} -fno-strict-aliasing -D_LINUX_SOURCE_COMPAT"

%if %{with dodebug}
ERL_FLAGS="$ERL_FLAGS -DDEBUG -g"
%endif

# TODO: check with this option after having added an AIX patch for -maix64
#	--enable-m64-build`			- Build 64-bit binaries using the `-m64` flag to `(g)cc`

export CFLAGS="${ERL_FLAGS} -mcmodel=large"
export CXXFLAGS="${ERL_FLAGS}"

./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir64} \
	--infodir=%{_infodir} \
	--mandir=%{_mandir} \
	--enable-shared-zlib --enable-sctp --disable-systemd \
	--disable-hipe --enable-threads \
	--disable-smp-support \
	--without-javac \
    --enable-debug-mode \
    --with-odbc=/opt/freeware \
%if %{__with_java}
	\
%else
	--without-jinterface \
%endif %{__with_java}
	--without-gs \
%if %{__with_wxwidgets}
	--with-wx-config=/usr/bin/wx-config-3.0
%else
	--without-common_test \
	--without-debugger \
	--without-dialyzer \
	--without-et \
	--without-megaco \
	--without-observer \
	--without-reltool \
	--without-typer \
	--without-wx
%endif %{__with_wxwidgets}

# Remove pre-built BEAM files
gmake clean



%if %{__with_emacs}
# GNU Emacs/XEmacs related stuff
erlang_tools_vsn="$(sed -n 's/TOOLS_VSN = //p' lib/tools/vsn.mk)"

# GNU Emacs related stuff
cat > emacs-erlang-init.el << EOF
(setq load-path (cons "%{_emacs_sitelispdir}/erlang" load-path))
(setq erlang-root-dir "%{_libdir}/erlang")
(setq exec-path (cons "%{_libdir}/erlang/bin" exec-path))
(require 'erlang-start)
EOF
mkdir emacs-erlang
cp lib/tools/emacs/*.el emacs-erlang/
pushd emacs-erlang
%{_emacs_bytecompile} *.el
popd

# XEmacs related stuff
cat > xemacs-erlang-init.el << EOF
(setq load-path (cons "%{_xemacs_sitelispdir}/erlang" load-path))
#(setq erlang-root-dir "%{_libdir}/erlang")
(setq erlang-root-dir "%{_libdir64}/erlang")
#(setq exec-path (cons "%{_libdir}/erlang/bin" exec-path))
(setq exec-path (cons "%{_libdir64}/erlang/bin" exec-path))
(require 'erlang-start)
EOF
mkdir xemacs-erlang
cp lib/tools/emacs/*.el xemacs-erlang/
rm -f xemacs-erlang/erlang-flymake.el xemacs-erlang/erlang-test.el
pushd xemacs-erlang
%{_xemacs_bytecompile} *.el
popd
%endif %{__with_emacs}


# Build #############################

export ERL_TOP=.
export OBJECT_MODE=64

unset AIX64
unset AIX32
AIX64=true
gmake

%if %{withdoc}
# should use FOP_OPTS after #832323 is resolved
export BASE_OPTIONS=-Xmx1536m
gmake docs
%endif


%install

# export LIBPATH="/opt/freeware/lib"
export RM="/usr/bin/rm -f"
export AR="/usr/bin/ar"
export NM="/usr/bin/nm -X32_64"

%if %{__with_emacs}
# GNU Emacs/XEmacs related stuff
erlang_tools_vsn="$(sed -n 's/TOOLS_VSN = //p' lib/tools/vsn.mk)"

# GNU Emacs related stuff
install -m 0755 -d "$RPM_BUILD_ROOT%{_emacs_sitestartdir}"
install -m 0755 -d "$RPM_BUILD_ROOT%{_emacs_sitelispdir}/erlang"
install -m 0644 emacs-erlang-init.el "$RPM_BUILD_ROOT%{_emacs_sitestartdir}/erlang-init.el"
for f in lib/tools/emacs/{README,*.el}; do
	b="$(basename "$f")";
	#ln -s "%{_libdir}/erlang/lib/tools-${erlang_tools_vsn}/emacs/$b" \
	ln -s "%{_libdir64}/erlang/lib/tools-${erlang_tools_vsn}/emacs/$b" \
		"$RPM_BUILD_ROOT%{_emacs_sitelispdir}/erlang/"
done
install -m 0644 emacs-erlang/*.elc "$RPM_BUILD_ROOT%{_emacs_sitelispdir}/erlang/"

# XEmacs related stuff
install -m 0755 -d "$RPM_BUILD_ROOT%{_xemacs_sitestartdir}"
install -m 0755 -d "$RPM_BUILD_ROOT%{_xemacs_sitelispdir}/erlang"
install -m 0644 xemacs-erlang-init.el "$RPM_BUILD_ROOT%{_xemacs_sitestartdir}/erlang-init.el"
for f in lib/tools/emacs/{README,*.el}; do
	b="$(basename "$f")";
	#ln -s "%{_libdir}/erlang/lib/tools-${erlang_tools_vsn}/emacs/$b" \
	ln -s "%{_libdir64}/erlang/lib/tools-${erlang_tools_vsn}/emacs/$b" \
		"$RPM_BUILD_ROOT%{_xemacs_sitelispdir}/erlang/"
done
rm -f "$RPM_BUILD_ROOT%{_xemacs_sitelispdir}/erlang/erlang-flymake.el"
install -m 0644 xemacs-erlang/*.elc "$RPM_BUILD_ROOT%{_xemacs_sitelispdir}/erlang/"
%endif %{__with_emacs}

gmake DESTDIR=$RPM_BUILD_ROOT install

%if %{withdoc}
env ERL_LIBS="$RPM_BUILD_ROOT%{_libdir64}/erlang/lib" gmake DESTDIR=$RPM_BUILD_ROOT install-docs
%endif

# Do not install info files - they are almost empty and useless
find $RPM_BUILD_ROOT%{_libdir64}/erlang -type f -name info -exec rm -f {} \;

%if %{__with_examples}
# fix 0775 permission on some directories
find $RPM_BUILD_ROOT%{_libdir64}/erlang/lib/ssl-*/examples/ -type d -perm 0775 -print -exec chmod 755 {} \;
find $RPM_BUILD_ROOT%{_libdir64}/erlang/lib/kernel-*/examples/uds_dist -type d -perm 0775 -print -exec chmod 755 {} \;
%else
# Remove all examples
find $RPM_BUILD_ROOT%{_libdir64}/erlang/lib/ -mindepth 1 -maxdepth 2 -type d -name examples -exec rm -rf {} \;
%endif %{__with_examples}

chmod 0755 $RPM_BUILD_ROOT%{_libdir64}/erlang/bin

# Relocate doc-files into the proper directory
%if %{withdoc}
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/lib
pushd .
cd $RPM_BUILD_ROOT%{_libdir64}/erlang
mv -v doc $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
for i in erts-* ; do mv -v $i/doc $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/$i ; done
cd $RPM_BUILD_ROOT%{_libdir64}/erlang/lib
for i in * ; do mv -v $i/doc $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/lib/$i || true ; done
popd
cp -av AUTHORS LICENSE.txt README.md $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
mv -v $RPM_BUILD_ROOT%{_libdir64}/erlang/PR.template $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
mv -v $RPM_BUILD_ROOT%{_libdir64}/erlang/COPYRIGHT $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
# We'll package it by marking it explicitly as doc - see below
rm -f $RPM_BUILD_ROOT%{_libdir64}/erlang/README.md
%endif



# remove empty directory
rm -r $RPM_BUILD_ROOT%{_libdir64}/erlang/erts-*/man

# remove outdated script
rm -f $RPM_BUILD_ROOT%{_libdir64}/erlang/Install

# Replace identical executables with symlinks
for exe in $RPM_BUILD_ROOT%{_libdir64}/erlang/erts-*/bin/*
do
	base="$(basename "$exe")"
	next="$RPM_BUILD_ROOT%{_libdir64}/erlang/bin/${base}"
	rel="$(echo "$exe" | sed "s,^$RPM_BUILD_ROOT%{_libdir64}/erlang/,../,")"
	if cmp "$exe" "$next"; then
        unlink "$next"
		ln -s "$rel" "$next"
	fi
done
for exe in $RPM_BUILD_ROOT%{_libdir64}/erlang/bin/*
do
	base="$(basename "$exe")"
	next="$RPM_BUILD_ROOT%{_bindir}/${base}"
	rel="$(echo "$exe" | sed "s,^$RPM_BUILD_ROOT,,")"
	if cmp "$exe" "$next"; then
        unlink "$next"
		ln -s "$rel" "$next"
	fi
done

%if %{__with_java}
# symlink *.jar files to appropriate places for subpackages
install -m 0755 -d "$RPM_BUILD_ROOT%{_javadir}/%{name}"

# erlang-jinterface
jinterface_lib_dir="$(ls -d1 $RPM_BUILD_ROOT%{_libdir64}/erlang/lib/jinterface-*/ | sed "s,^$RPM_BUILD_ROOT,,")"
test -d "$RPM_BUILD_ROOT$jinterface_lib_dir"
ln -s "${jinterface_lib_dir}priv/OtpErlang.jar" "$RPM_BUILD_ROOT%{_javadir}/%{name}/"
%endif %{__with_java}

# systemd-related stuff

%if %{__with_wxwidgets}
echo "No need to fix additional scripts"
%else
# FIXME workaround for broken Erlang install procedure
for exe in ct_run dialyzer typer
do
	rm -f $RPM_BUILD_ROOT/%{_bindir}/${exe}
	rm -f $RPM_BUILD_ROOT/%{_libdir64}/erlang/bin/${exe}
	rm -f $RPM_BUILD_ROOT/%{_libdir64}/erlang/erts-*/bin/${exe}
done
%endif %{__with_wxwidgets}



%check
%if %{without dotests}
echo "*** Skipping tests"
exit 0
%endif # without dotests


ulimit -d unlimited
ulimit -s unlimited
ulimit -m unlimited

export ERL_TOP=`pwd`
export ERL_PATH="$ERL_TOP/$REPTEST/$TEST:$ERL_TOP/bin/powerpc-ibm-aix7.2:$ERL_TOP/bin:/usr/local/bin/:/opt/freeware/bin:/usr/linux/bin:/usr/local/bin:/usr/bin:/etc:/usr/sbin:/usr/ucb:/usr/bin/X11:/sbin:/usr/java5/jre/bin:/usr/java5/bin:/usr/samples/kernel:/usr/java131/jre/bin:/usr/java131/bin:/usr/java14/jre/bin:/usr/java14/bin:."

export TESTROOT=$ERL_TOP/release/tests/
export LDFLAGS="-maix64 -Wl,-brtl -Wl,-berok"
export SHLIB_EXTRA_LDFLAGS="-maix64 -Wl,-brtl -Wl,-berok"
export OBJECT_MODE=64
export CFLAGS=" -maix64"
export SHLIB_EXTRA_CFLAGS=" -maix64"
cd $ERL_TOP
gmake tests
cd $TESTROOT/test_server

$ERL_TOP/bin/erl -pa $TESTROOT/test_server -s ts install -s init stop
#remove node container suite as it cause a system freeze
mkdir  ./tmp
cp -r ../emulator_test/node_container_SUITE* ./tmp
rm -r ../emulator_test/node_container_SUITE*

# Here is the full command to launch the emulator test in order to set the abort_if_missing_suites option to false
$ERL_TOP/bin/erl -sname test_server -rsh ssh -env PATH "/opt/freeware/src/packages/BUILD/otp_src_23.0/release/tests/emulator_test:/opt/freeware/src/packages/BUILD/otp_src_23.0/bin/powerpc-ibm-aix7.2:/opt/freeware/src/packages/BUILD/otp_src_23.0/bin:/opt/freeware/bin:/usr/bin:/etc:/usr/sbin:/usr/ucb:/usr/bin/X11:/sbin:/usr/java8_64/jre/bin:/usr/java8_64/bin:/usr/opt/ifor/ls/os/aix/bin" -env ERL_CRASH_DUMP /opt/freeware/src/packages/BUILD/otp_src_23.0/release/tests/test_server/emulator_erl_crash.dump -boot start_sasl -sasl errlog_type error -pz "/opt/freeware/src/packages/BUILD/otp_src_23.0/release/tests/test_server" -ct_test_vars "{net_dir,\"\"}" -eval "ts_run:ct_run_test(\"/opt/freeware/src/packages/BUILD/otp_src_23.0/release/tests/emulator_test\", [{abort_if_missing_suites,false},{spec,[\"emulator.spec\"]},{allow_user_terms,true},{logdir,\"../test_server\"},{config,[\"../test_server/ts.config\",\"../test_server/ts.unix.config\"]},{vars,[{verbose,0}]},batch,{scale_timetraps,true}])"  -noinput -eval "erlang:halt(0,[{flush,false}])."


# Run all the rest of the tests
$ERL_TOP/bin/erl -pa ../ -s ts install -s ts run kernel  -s ts run stdlib -s ts run compiler -s ts run hipe -s ts run erl_interface -s ts run sasl -s ts run tools -s ts run runtime_tools -s ts run parsetools -s ts run inets -s ts run asn1 -s ts run os_mon -s ts run snmp -s ts run mnesia -s ts run crypto  -s init stop

#$ERL_TOP/bin/erl -pa ../ -s ts run diameter -s init stop
#Reget the node container suite
cp -r ./tmp/node_container_SUITE*  ../emulator_test/
rm -r tmp

#In the test server directory run ct_run followed by the test directory
#example:
# athostb1:root # cd $BUILD/otp_src_22.2/release/tests/test_server/
# athostb1:root # export ERL_TOP=$BUILD/otp_src_22.2/
#To run a singel test case
#  $ERL_TOP/bin/ct_run -pa . -suite ../../../lib/os_mon/test/disksup_SUITE -case t_orelse
#To run a singel test suite
#  $ERL_TOP/bin/ct_run -pa . -suite ../../../lib/os_mon/test/disksup_SUITE.erl
#To run a singel test
#  $ERL_TOP/bin/erl -pa ../ -s ts install -s ts run kernel -s init stop
#To run all tests
#  $ERL_TOP/bin/erl -pa . -s ts install -s ts run all_tests -s init stop

#To collect the total results of the tests launch {SOURCE10} with the build log or the .res 
#echo launch script : %{SOURCE10}
#ksh -x  %{SOURCE10} $SOURCES/erlang-23.0-1.build.log

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%pre erts
mkgroup epmd || :
useradd -g epmd -d /tmp -c "Erlang Port Mapper Daemon" epmd 2>/dev/null || :


%files
%defattr(-,root,system,-)
%if %{withdoc}
%dir %{_docdir}/%{name}-%{version}/
%doc %{_docdir}/%{name}-%{version}/AUTHORS
%doc %{_docdir}/%{name}-%{version}/COPYRIGHT
%doc %{_docdir}/%{name}-%{version}/LICENSE.txt
%doc %{_docdir}/%{name}-%{version}/PR.template
%doc %{_docdir}/%{name}-%{version}/README.md
%endif

%files asn1
%defattr(-,root,system,-)
%dir %{_libdir64}/erlang/lib/asn1-*/
%{_libdir64}/erlang/lib/asn1-*/ebin
%{_libdir64}/erlang/lib/asn1-*/priv
%{_libdir64}/erlang/lib/asn1-*/src
%if %{withdoc}
%{_libdir64}/erlang/man/man3/asn1ct.*
%{_libdir64}/erlang/man/man3/asn1rt.*
%endif

%if %{__with_wxwidgets}
%files common_test
%defattr(-,root,system,-)
%{_bindir64}/ct_run
%{_libdir64}/erlang/bin/ct_run
%{_libdir64}/erlang/erts-*/bin/ct_run
%{_libdir64}/erlang/lib/common_test-*/
%if %{withdoc}
%{_libdir64}/erlang/man/man1/ct_run.*
%{_libdir64}/erlang/man/man3/ct.*
%{_libdir64}/erlang/man/man3/ct_cover.*
%{_libdir64}/erlang/man/man3/ct_ftp.*
%{_libdir64}/erlang/man/man3/ct_hooks.*
%{_libdir64}/erlang/man/man3/ct_master.*
%{_libdir64}/erlang/man/man3/ct_netconfc.*
%{_libdir64}/erlang/man/man3/ct_property_test.*
%{_libdir64}/erlang/man/man3/ct_rpc.*
%{_libdir64}/erlang/man/man3/ct_slave.*
%{_libdir64}/erlang/man/man3/ct_snmp.*
%{_libdir64}/erlang/man/man3/ct_ssh.*
%{_libdir64}/erlang/man/man3/ct_telnet.*
%{_libdir64}/erlang/man/man3/unix_telnet.*
%{_libdir64}/erlang/man/man6/common_test.*
%endif
%endif %{__with_wxwidgets}

%files compiler
%defattr(-,root,system,-)
%{_libdir64}/erlang/lib/compiler-*/
%if %{withdoc}
%{_libdir64}/erlang/man/man3/compile.*
%endif


%files crypto
%defattr(-,root,system,-)
%{_libdir64}/erlang/lib/crypto-*/
%if %{withdoc}
%{_libdir64}/erlang/man/man3/crypto.*
%{_libdir64}/erlang/man/man6/crypto.*
%endif

%if %{__with_wxwidgets}
%files debugger
%defattr(-,root,system,-)
%{_libdir64}/erlang/lib/debugger-*/
%if %{withdoc}
%{_libdir64}/erlang/man/man3/debugger.*
%{_libdir64}/erlang/man/man3/i.*
%{_libdir64}/erlang/man/man3/int.*
%endif
%endif %{__with_wxwidgets}

%if %{__with_wxwidgets}
%files dialyzer
%defattr(-,root,system,-)
%{_bindir}/dialyzer
%{_libdir64}/erlang/bin/dialyzer
%{_libdir64}/erlang/erts-*/bin/dialyzer
%{_libdir64}/erlang/lib/dialyzer-*/
%if %{withdoc}
%{_libdir64}/erlang/man/man3/dialyzer.*
%endif
%endif %{__with_wxwidgets}

%files diameter
%defattr(-,root,system,-)
%dir %{_libdir64}/erlang/lib/diameter-*/
%{_libdir64}/erlang/lib/diameter-*/bin
%{_libdir64}/erlang/lib/diameter-*/ebin
%{_libdir64}/erlang/lib/diameter-*/include
%{_libdir64}/erlang/lib/diameter-*/src
%if %{withdoc}
%{_libdir64}/erlang/man/man1/diameterc.*
%{_libdir64}/erlang/man/man3/diameter.*
%{_libdir64}/erlang/man/man3/diameter_app.*
%{_libdir64}/erlang/man/man3/diameter_codec.*
%{_libdir64}/erlang/man/man3/diameter_make.*
%{_libdir64}/erlang/man/man3/diameter_sctp.*
%{_libdir64}/erlang/man/man3/diameter_tcp.*
%{_libdir64}/erlang/man/man3/diameter_transport.*
%{_libdir64}/erlang/man/man4/diameter_dict.*
%endif

%if %{withdoc}
%files doc
%defattr(-,root,system,-)
%doc %{_docdir}/%{name}-%{version}/doc
%doc %{_docdir}/%{name}-%{version}/erts-*/
%doc %{_docdir}/%{name}-%{version}/lib/
%endif

%files edoc
%defattr(-,root,system,-)
%{_libdir64}/erlang/lib/edoc-*/
%if %{withdoc}
%{_libdir64}/erlang/man/man3/edoc.*
%{_libdir64}/erlang/man/man3/edoc_doclet.*
%{_libdir64}/erlang/man/man3/edoc_extract.*
%{_libdir64}/erlang/man/man3/edoc_layout.*
%{_libdir64}/erlang/man/man3/edoc_lib.*
%{_libdir64}/erlang/man/man3/edoc_run.*
%endif

%files eldap
%defattr(-,root,system,-)
%{_libdir64}/erlang/lib/eldap-*/
%if %{withdoc}
%{_libdir64}/erlang/man/man3/eldap.*
%endif

%files erl_docgen
%defattr(-,root,system,-)
%{_libdir64}/erlang/lib/erl_docgen-*/
%if %{withdoc}
%{_libdir64}/erlang/man/man6/erl_docgen.*
%endif

%files erl_interface
%defattr(-,root,system,-)
%{_libdir64}/erlang/lib/erl_interface-*/
%if %{withdoc}
%{_libdir64}/erlang/man/man1/erl_call.*
%{_libdir64}/erlang/man/man3/ei.*
%{_libdir64}/erlang/man/man3/ei_connect.*
%{_libdir64}/erlang/man/man3/erl_connect.*
%{_libdir64}/erlang/man/man3/erl_error.*
%{_libdir64}/erlang/man/man3/erl_eterm.*
%{_libdir64}/erlang/man/man3/erl_format.*
%{_libdir64}/erlang/man/man3/erl_global.*
%{_libdir64}/erlang/man/man3/erl_malloc.*
%{_libdir64}/erlang/man/man3/erl_marshal.*
%{_libdir64}/erlang/man/man3/registry.*
%endif

%files erts
%defattr(-,root,system,-)
# TODO
# In order to have a parallel-installable Erlang packages these directories
# should be packaged separately
%dir %{_libdir64}/erlang/
%dir %{_libdir64}/erlang/bin/
%dir %{_libdir64}/erlang/lib/
%if %{withdoc}
%dir %{_libdir64}/erlang/man/
%dir %{_libdir64}/erlang/man/man1/
%dir %{_libdir64}/erlang/man/man3/
%dir %{_libdir64}/erlang/man/man4/
%dir %{_libdir64}/erlang/man/man6/
%dir %{_libdir64}/erlang/man/man7/
%endif
%dir %{_libdir64}/erlang/releases/

%{_bindir}/epmd
%{_bindir}/erl
%{_bindir}/erlc
%{_bindir}/escript
%{_bindir}/run_erl
%{_bindir}/to_erl
%{_libdir64}/erlang/bin/epmd
%{_libdir64}/erlang/bin/erl
%{_libdir64}/erlang/bin/erlc
%{_libdir64}/erlang/bin/escript
%{_libdir64}/erlang/bin/no_dot_erlang.boot
%{_libdir64}/erlang/bin/run_erl
%{_libdir64}/erlang/bin/start
%{_libdir64}/erlang/bin/start.boot
%{_libdir64}/erlang/bin/start.script
%{_libdir64}/erlang/bin/start_clean.boot
%{_libdir64}/erlang/bin/start_erl
%{_libdir64}/erlang/bin/start_sasl.boot
%{_libdir64}/erlang/bin/to_erl
%dir %{_libdir64}/erlang/erts-*/
%dir %{_libdir64}/erlang/erts-*/bin/
%{_libdir64}/erlang/erts-*/bin/beam.smp
%{_libdir64}/erlang/erts-*/bin/dyn_erl
%{_libdir64}/erlang/erts-*/bin/epmd
%{_libdir64}/erlang/erts-*/bin/erl
%{_libdir64}/erlang/erts-*/bin/erl.src
%{_libdir64}/erlang/erts-*/bin/erl_child_setup
%{_libdir64}/erlang/erts-*/bin/erlc
%{_libdir64}/erlang/erts-*/bin/erlexec
%{_libdir64}/erlang/erts-*/bin/escript
%{_libdir64}/erlang/erts-*/bin/heart
%{_libdir64}/erlang/erts-*/bin/inet_gethost
%{_libdir64}/erlang/erts-*/bin/run_erl
%{_libdir64}/erlang/erts-*/bin/start
%{_libdir64}/erlang/erts-*/bin/start.src
%{_libdir64}/erlang/erts-*/bin/start_erl.src
%{_libdir64}/erlang/erts-*/bin/to_erl
%{_libdir64}/erlang/erts-*/include
%{_libdir64}/erlang/erts-*/lib/
%{_libdir64}/erlang/erts-*/src/
%{_libdir64}/erlang/lib/erts-*/
%if %{withdoc}
%{_libdir64}/erlang/man/man1/epmd.*
%{_libdir64}/erlang/man/man1/erl.*
%{_libdir64}/erlang/man/man1/erlc.*
%{_libdir64}/erlang/man/man1/escript.*
%{_libdir64}/erlang/man/man1/run_erl.*
%{_libdir64}/erlang/man/man1/start.*
%{_libdir64}/erlang/man/man1/start_erl.*
%{_libdir64}/erlang/man/man3/driver_entry.*
%{_libdir64}/erlang/man/man3/erl_driver.*
%{_libdir64}/erlang/man/man3/erl_nif.*
%{_libdir64}/erlang/man/man3/erl_prim_loader.*
%{_libdir64}/erlang/man/man3/erl_tracer.*
%{_libdir64}/erlang/man/man3/erlang.*
%{_libdir64}/erlang/man/man3/erts_alloc.*
%{_libdir64}/erlang/man/man3/init.*
%{_libdir64}/erlang/man/man3/net.*
%{_libdir64}/erlang/man/man3/persistent_term.*
%{_libdir64}/erlang/man/man3/scheduler.*
%{_libdir64}/erlang/man/man3/scocket.*
%{_libdir64}/erlang/man/man3/zlib.*
%endif
%{_libdir64}/erlang/releases/*
%{_libdir64}/erlang/usr/

%if %{__with_wxwidgets}
%files et
%defattr(-,root,system,-)
%dir %{_libdir64}/erlang/lib/et-*/
%{_libdir64}/erlang/lib/et-*/ebin
%{_libdir64}/erlang/lib/et-*/include
%{_libdir64}/erlang/lib/et-*/src
%if %{withdoc}
%{_libdir64}/erlang/man/man3/et.*
%{_libdir64}/erlang/man/man3/et_collector.*
%{_libdir64}/erlang/man/man3/et_selector.*
%{_libdir64}/erlang/man/man3/et_viewer.*
%endif
%endif %{__with_wxwidgets}

%files eunit
%defattr(-,root,system,-)
%dir %{_libdir64}/erlang/lib/eunit-*/
%{_libdir64}/erlang/lib/eunit-*/ebin
%{_libdir64}/erlang/lib/eunit-*/include
%{_libdir64}/erlang/lib/eunit-*/src
%if %{withdoc}
%{_libdir64}/erlang/man/man3/eunit.*
%{_libdir64}/erlang/man/man3/eunit_surefire.*
%endif

%if %{__with_examples}
%files examples
%defattr(-,root,system,-)
%{_libdir64}/erlang/lib/asn1-*/examples/
%{_libdir64}/erlang/lib/diameter-*/examples/
%if %{__with_wxwidgets}
%{_libdir64}/erlang/lib/et-*/examples/
%endif %{__with_wxwidgets}
%{_libdir64}/erlang/lib/eunit-*/examples/
%{_libdir64}/erlang/lib/inets-*/examples/
%{_libdir64}/erlang/lib/kernel-*/examples/
%if %{__with_wxwidgets}
%{_libdir64}/erlang/lib/megaco-*/examples/
%endif # __with_wxwidgets
%{_libdir64}/erlang/lib/mnesia-*/examples/
%if %{__with_wxwidgets}
%{_libdir64}/erlang/lib/observer-*/examples/
%endif %{__with_wxwidgets}
%if %{__with_wxwidgets}
%{_libdir64}/erlang/lib/reltool-*/examples/
%endif %{__with_wxwidgets}
%{_libdir64}/erlang/lib/runtime_tools-*/examples/
%{_libdir64}/erlang/lib/sasl-*/examples/
%{_libdir64}/erlang/lib/snmp-*/examples/
%{_libdir64}/erlang/lib/ssl-*/examples/
%{_libdir64}/erlang/lib/stdlib-*/examples/
%{_libdir64}/erlang/lib/syntax_tools-*/examples/
%{_libdir64}/erlang/lib/tools-*/examples/
%if %{__with_wxwidgets}
%{_libdir64}/erlang/lib/wx-*/examples/
%endif %{__with_wxwidgets}
%endif %{__with_examples}

%files ftp
%defattr(-,root,system,-)
%dir %{_libdir64}/erlang/lib/ftp-*/
%{_libdir64}/erlang/lib/ftp-*/ebin
%{_libdir64}/erlang/lib/ftp-*/src
%if %{with doc}
%{_libdir64}/erlang/man/man3/ftp.*
%endif

%files hipe
%defattr(-,root,system,-)
%{_libdir64}/erlang/lib/hipe-*/

%files inets
%defattr(-,root,system,-)
%dir %{_libdir64}/erlang/lib/inets-*/
%{_libdir64}/erlang/lib/inets-*/ebin
%{_libdir64}/erlang/lib/inets-*/include
%{_libdir64}/erlang/lib/inets-*/priv
%{_libdir64}/erlang/lib/inets-*/src
%if %{withdoc}
%{_libdir64}/erlang/man/man3/ftp.*
%{_libdir64}/erlang/man/man3/http_uri.*
%{_libdir64}/erlang/man/man3/httpc.*
%{_libdir64}/erlang/man/man3/httpd.*
%{_libdir64}/erlang/man/man3/httpd_custom_api.*
%{_libdir64}/erlang/man/man3/httpd_socket.*
%{_libdir64}/erlang/man/man3/httpd_util.*
%{_libdir64}/erlang/man/man3/inets.*
%{_libdir64}/erlang/man/man3/mod_alias.*
%{_libdir64}/erlang/man/man3/mod_auth.*
%{_libdir64}/erlang/man/man3/mod_esi.*
%{_libdir64}/erlang/man/man3/mod_security.*
%{_libdir64}/erlang/man/man3/tftp.*
%endif

%if %{__with_java}
%files jinterface
%defattr(-,root,system,-)
%{_javadir}/%{name}/OtpErlang.jar
%{_libdir64}/erlang/lib/jinterface-*/
%endif %{__with_java}

%files kernel
%defattr(-,root,system,-)
%dir %{_libdir64}/erlang/lib/kernel-*/
%{_libdir64}/erlang/lib/kernel-*/ebin
%{_libdir64}/erlang/lib/kernel-*/include
%{_libdir64}/erlang/lib/kernel-*/src
%if %{withdoc}
%{_libdir64}/erlang/man/man3/application.*
%{_libdir64}/erlang/man/man3/auth.*
%{_libdir64}/erlang/man/man3/code.*
%{_libdir64}/erlang/man/man3/disk_log.*
%{_libdir64}/erlang/man/man3/erl_boot_server.*
%{_libdir64}/erlang/man/man3/erl_ddll.*
%{_libdir64}/erlang/man/man3/erl_prim_loader_stub.*
%{_libdir64}/erlang/man/man3/erlang_stub.*
%{_libdir64}/erlang/man/man3/error_handler.*
%{_libdir64}/erlang/man/man3/error_logger.*
%{_libdir64}/erlang/man/man3/file.*
%{_libdir64}/erlang/man/man3/gen_sctp.*
%{_libdir64}/erlang/man/man3/gen_tcp.*
%{_libdir64}/erlang/man/man3/gen_udp.*
%{_libdir64}/erlang/man/man3/global.*
%{_libdir64}/erlang/man/man3/global_group.*
%{_libdir64}/erlang/man/man3/heart.*
%{_libdir64}/erlang/man/man3/inet.*
%{_libdir64}/erlang/man/man3/inet_res.*
%{_libdir64}/erlang/man/man3/init_stub.*
%{_libdir64}/erlang/man/man3/net_adm.*
%{_libdir64}/erlang/man/man3/net_kernel.*
%{_libdir64}/erlang/man/man3/os.*
%{_libdir64}/erlang/man/man3/pg2.*
%{_libdir64}/erlang/man/man3/rpc.*
%{_libdir64}/erlang/man/man3/seq_trace.*
%{_libdir64}/erlang/man/man3/user.*
%{_libdir64}/erlang/man/man3/wrap_log_reader.*
%{_libdir64}/erlang/man/man3/zlib_stub.*
%{_libdir64}/erlang/man/man4/app.*
%{_libdir64}/erlang/man/man4/config.*
%{_libdir64}/erlang/man/man6/kernel.*
%endif

%if %{__with_wxwidgets}
%files megaco
%defattr(-,root,system,-)
%dir %{_libdir64}/erlang/lib/megaco-*/
%{_libdir64}/erlang/lib/megaco-*/ebin
%{_libdir64}/erlang/lib/megaco-*/include
%{_libdir64}/erlang/lib/megaco-*/priv
%{_libdir64}/erlang/lib/megaco-*/src
%if %{withdoc}
%{_libdir64}/erlang/man/man3/megaco.*
%{_libdir64}/erlang/man/man3/megaco_codec_meas.*
%{_libdir64}/erlang/man/man3/megaco_codec_mstone1.*
%{_libdir64}/erlang/man/man3/megaco_codec_mstone2.*
%{_libdir64}/erlang/man/man3/megaco_codec_transform.*
%{_libdir64}/erlang/man/man3/megaco_edist_compress.*
%{_libdir64}/erlang/man/man3/megaco_encoder.*
%{_libdir64}/erlang/man/man3/megaco_flex_scanner.*
%{_libdir64}/erlang/man/man3/megaco_tcp.*
%{_libdir64}/erlang/man/man3/megaco_transport.*
%{_libdir64}/erlang/man/man3/megaco_udp.*
%{_libdir64}/erlang/man/man3/megaco_user.*
%endif
%endif %{__with_wxwidgets}

%files mnesia
%defattr(-,root,system,-)
%dir %{_libdir64}/erlang/lib/mnesia-*/
%{_libdir64}/erlang/lib/mnesia-*/ebin
%{_libdir64}/erlang/lib/mnesia-*/src
%if %{withdoc}
%{_libdir64}/erlang/man/man3/mnesia.*
%{_libdir64}/erlang/man/man3/mnesia_frag_hash.*
%{_libdir64}/erlang/man/man3/mnesia_registry.*
%endif

%if %{__with_wxwidgets}
%files observer
%defattr(-,root,system,-)
%dir %{_libdir64}/erlang/lib/observer-*/
%{_libdir64}/erlang/lib/observer-*/ebin/
%{_libdir64}/erlang/lib/observer-*/include/
%{_libdir64}/erlang/lib/observer-*/priv/
%{_libdir64}/erlang/lib/observer-*/src/
%if %{withdoc}
%{_libdir64}/erlang/man/man1/cdv.*
%{_libdir64}/erlang/man/man3/crashdump.*
%{_libdir64}/erlang/man/man3/etop.*
%{_libdir64}/erlang/man/man3/observer.*
%{_libdir64}/erlang/man/man3/ttb.*
%{_libdir64}/erlang/man/man6/observer.*
%endif
%endif %{__with_wxwidgets}

%files odbc
%defattr(-,root,system,-)
%{_libdir64}/erlang/lib/odbc-*/
%if %{withdoc}
%{_libdir64}/erlang/man/man3/odbc.*
%endif

%files os_mon
%defattr(-,root,system,-)
%{_libdir64}/erlang/lib/os_mon-*/
%if %{withdoc}
%{_libdir64}/erlang/man/man3/cpu_sup.*
%{_libdir64}/erlang/man/man3/disksup.*
%{_libdir64}/erlang/man/man3/memsup.*
%{_libdir64}/erlang/man/man3/os_mon_mib.*
%{_libdir64}/erlang/man/man3/os_sup.*
%{_libdir64}/erlang/man/man6/os_mon.*
%endif

%files parsetools
%defattr(-,root,system,-)
%{_libdir64}/erlang/lib/parsetools-*/
%if %{withdoc}
%{_libdir64}/erlang/man/man3/leex.*
%{_libdir64}/erlang/man/man3/yecc.*
%endif

%files public_key
%defattr(-,root,system,-)
%{_libdir64}/erlang/lib/public_key-*/
%if %{withdoc}
%{_libdir64}/erlang/man/man3/public_key.*
%{_libdir64}/erlang/man/man6/public_key.*
%endif

%if %{__with_wxwidgets}
%files reltool
%defattr(-,root,system,-)
%dir %{_libdir64}/erlang/lib/reltool-*/
%{_libdir64}/erlang/lib/reltool-*/ebin
%{_libdir64}/erlang/lib/reltool-*/src
%if %{withdoc}
%{_libdir64}/erlang/man/man3/reltool.*
%endif
%endif %{__with_wxwidgets}

%files runtime_tools
%defattr(-,root,system,-)
%dir %{_libdir64}/erlang/lib/runtime_tools-*/
%{_libdir64}/erlang/lib/runtime_tools-*/ebin/
%{_libdir64}/erlang/lib/runtime_tools-*/include/
%{_libdir64}/erlang/lib/runtime_tools-*/priv/
%if %{withdoc}
%{_libdir64}/erlang/man/man3/dbg.*
%{_libdir64}/erlang/man/man3/dyntrace.*
%{_libdir64}/erlang/man/man3/erts_alloc_config.*
%{_libdir64}/erlang/man/man3/msacc.*
%{_libdir64}/erlang/man/man3/system_information.*
%{_libdir64}/erlang/man/man6/runtime_tools.*
%endif

%files sasl
%defattr(-,root,system,-)
%dir %{_libdir64}/erlang/lib/sasl-*/
%{_libdir64}/erlang/lib/sasl-*/ebin
%{_libdir64}/erlang/lib/sasl-*/src
%if %{withdoc}
%{_libdir64}/erlang/man/man3/alarm_handler.*
%{_libdir64}/erlang/man/man3/rb.*
%{_libdir64}/erlang/man/man3/release_handler.*
%{_libdir64}/erlang/man/man3/systools.*
%{_libdir64}/erlang/man/man4/appup.*
%{_libdir64}/erlang/man/man4/rel.*
%{_libdir64}/erlang/man/man4/relup.*
%{_libdir64}/erlang/man/man4/script.*
%{_libdir64}/erlang/man/man6/sasl.*
%endif

%files snmp
%defattr(-,root,system,-)
%dir %{_libdir64}/erlang/lib/snmp-*/
%{_libdir64}/erlang/lib/snmp-*/bin
%{_libdir64}/erlang/lib/snmp-*/ebin
%{_libdir64}/erlang/lib/snmp-*/include
%{_libdir64}/erlang/lib/snmp-*/mibs
%{_libdir64}/erlang/lib/snmp-*/priv
%{_libdir64}/erlang/lib/snmp-*/src
%if %{withdoc}
%{_libdir64}/erlang/man/man1/snmpc.*
%{_libdir64}/erlang/man/man3/snmp.*
%{_libdir64}/erlang/man/man3/snmpa.*
%{_libdir64}/erlang/man/man3/snmpa_conf.*
%{_libdir64}/erlang/man/man3/snmpa_discovery_handler.*
%{_libdir64}/erlang/man/man3/snmpa_error.*
%{_libdir64}/erlang/man/man3/snmpa_error_io.*
%{_libdir64}/erlang/man/man3/snmpa_error_logger.*
%{_libdir64}/erlang/man/man3/snmpa_error_report.*
%{_libdir64}/erlang/man/man3/snmpa_local_db.*
%{_libdir64}/erlang/man/man3/snmpa_mib_data.*
%{_libdir64}/erlang/man/man3/snmpa_mib_storage.*
%{_libdir64}/erlang/man/man3/snmpa_mpd.*
%{_libdir64}/erlang/man/man3/snmpa_network_interface.*
%{_libdir64}/erlang/man/man3/snmpa_network_interface_filter.*
%{_libdir64}/erlang/man/man3/snmpa_notification_delivery_info_receiver.*
%{_libdir64}/erlang/man/man3/snmpa_notification_filter.*
%{_libdir64}/erlang/man/man3/snmpa_supervisor.*
%{_libdir64}/erlang/man/man3/snmpc.*
%{_libdir64}/erlang/man/man3/snmp_community_mib.*
%{_libdir64}/erlang/man/man3/snmp_framework_mib.*
%{_libdir64}/erlang/man/man3/snmp_generic.*
%{_libdir64}/erlang/man/man3/snmp_index.*
%{_libdir64}/erlang/man/man3/snmpm.*
%{_libdir64}/erlang/man/man3/snmpm_conf.*
%{_libdir64}/erlang/man/man3/snmpm_mpd.*
%{_libdir64}/erlang/man/man3/snmpm_network_interface.*
%{_libdir64}/erlang/man/man3/snmpm_network_interface_filter.*
%{_libdir64}/erlang/man/man3/snmpm_user.*
%{_libdir64}/erlang/man/man3/snmp_notification_mib.*
%{_libdir64}/erlang/man/man3/snmp_pdus.*
%{_libdir64}/erlang/man/man3/snmp_standard_mib.*
%{_libdir64}/erlang/man/man3/snmp_target_mib.*
%{_libdir64}/erlang/man/man3/snmp_user_based_sm_mib.*
%{_libdir64}/erlang/man/man3/snmp_view_based_acm_mib.*
%{_libdir64}/erlang/man/man6/snmp.*
%{_libdir64}/erlang/man/man7/INET-ADDRESS-MIB.*
%{_libdir64}/erlang/man/man7/OTP-SNMPEA-MIB.*
%{_libdir64}/erlang/man/man7/RFC1213-MIB.*
%{_libdir64}/erlang/man/man7/SNMP-COMMUNITY-MIB.*
%{_libdir64}/erlang/man/man7/SNMP-FRAMEWORK-MIB.*
%{_libdir64}/erlang/man/man7/SNMP-MPD-MIB.*
%{_libdir64}/erlang/man/man7/SNMP-NOTIFICATION-MIB.*
%{_libdir64}/erlang/man/man7/SNMP-TARGET-MIB.*
%{_libdir64}/erlang/man/man7/SNMP-USER-BASED-SM-MIB.*
%{_libdir64}/erlang/man/man7/SNMP-USM-AES-MIB.*
%{_libdir64}/erlang/man/man7/SNMPv2-MIB.*
%{_libdir64}/erlang/man/man7/SNMPv2-TM.*
%{_libdir64}/erlang/man/man7/SNMP-VIEW-BASED-ACM-MIB.*
%{_libdir64}/erlang/man/man7/STANDARD-MIB.*
%{_libdir64}/erlang/man/man7/TRANSPORT-ADDRESS-MIB.*
%endif

%files ssh
%defattr(-,root,system,-)
%dir %{_libdir64}/erlang/lib/ssh-*/
%{_libdir64}/erlang/lib/ssh-*/ebin
%{_libdir64}/erlang/lib/ssh-*/include
%{_libdir64}/erlang/lib/ssh-*/src
%if %{withdoc}
%{_libdir64}/erlang/man/man3/ssh.*
%{_libdir64}/erlang/man/man3/ssh_client_channel.*
%{_libdir64}/erlang/man/man3/ssh_client_key_api.*
%{_libdir64}/erlang/man/man3/ssh_connection.*
%{_libdir64}/erlang/man/man3/ssh_file.*
%{_libdir64}/erlang/man/man3/ssh_server_channel.*
%{_libdir64}/erlang/man/man3/ssh_server_key_api.*
%{_libdir64}/erlang/man/man3/ssh_sftp.*
%{_libdir64}/erlang/man/man3/ssh_sftpd.*
%{_libdir64}/erlang/man/man6/ssh.*
%endif

%files ssl
%defattr(-,root,system,-)
%dir %{_libdir64}/erlang/lib/ssl-*/
%{_libdir64}/erlang/lib/ssl-*/ebin
%{_libdir64}/erlang/lib/ssl-*/src
%if %{withdoc}
%{_libdir64}/erlang/man/man3/ssl.*
%{_libdir64}/erlang/man/man3/ssl_crl_cache.*
%{_libdir64}/erlang/man/man3/ssl_crl_cache_api.*
%{_libdir64}/erlang/man/man3/ssl_session_cache_api.*
%{_libdir64}/erlang/man/man6/ssl.*
%endif

%files stdlib
%defattr(-,root,system,-)
%dir %{_libdir64}/erlang/lib/stdlib-*/
%{_libdir64}/erlang/lib/stdlib-*/ebin
%{_libdir64}/erlang/lib/stdlib-*/include
%{_libdir64}/erlang/lib/stdlib-*/src
%if %{withdoc}
%{_libdir64}/erlang/man/man3/array.*
%{_libdir64}/erlang/man/man3/base64.*
%{_libdir64}/erlang/man/man3/beam_lib.*
%{_libdir64}/erlang/man/man3/binary.*
%{_libdir64}/erlang/man/man3/c.*
%{_libdir64}/erlang/man/man3/calendar.*
%{_libdir64}/erlang/man/man3/dets.*
%{_libdir64}/erlang/man/man3/dict.*
%{_libdir64}/erlang/man/man3/digraph.*
%{_libdir64}/erlang/man/man3/digraph_utils.*
%{_libdir64}/erlang/man/man3/epp.*
%{_libdir64}/erlang/man/man3/erl_anno.*
%{_libdir64}/erlang/man/man3/erl_eval.*
%{_libdir64}/erlang/man/man3/erl_expand_records.*
%{_libdir64}/erlang/man/man3/erl_id_trans.*
%{_libdir64}/erlang/man/man3/erl_internal.*
%{_libdir64}/erlang/man/man3/erl_lint.*
%{_libdir64}/erlang/man/man3/erl_parse.*
%{_libdir64}/erlang/man/man3/erl_pp.*
%{_libdir64}/erlang/man/man3/erl_scan.*
%{_libdir64}/erlang/man/man3/erl_tar.*
%{_libdir64}/erlang/man/man3/ets.*
%{_libdir64}/erlang/man/man3/file_sorter.*
%{_libdir64}/erlang/man/man3/filelib.*
%{_libdir64}/erlang/man/man3/filename.*
%{_libdir64}/erlang/man/man3/gb_sets.*
%{_libdir64}/erlang/man/man3/gb_trees.*
%{_libdir64}/erlang/man/man3/gen_event.*
%{_libdir64}/erlang/man/man3/gen_fsm.*
%{_libdir64}/erlang/man/man3/gen_server.*
%{_libdir64}/erlang/man/man3/gen_statem.*
%{_libdir64}/erlang/man/man3/io.*
%{_libdir64}/erlang/man/man3/io_lib.*
%{_libdir64}/erlang/man/man3/lib.*
%{_libdir64}/erlang/man/man3/lists.*
%{_libdir64}/erlang/man/man3/log_mf_h.*
%{_libdir64}/erlang/man/man3/maps.*
%{_libdir64}/erlang/man/man3/math.*
%{_libdir64}/erlang/man/man3/ms_transform.*
%{_libdir64}/erlang/man/man3/orddict.*
%{_libdir64}/erlang/man/man3/ordsets.*
%{_libdir64}/erlang/man/man3/pool.*
%{_libdir64}/erlang/man/man3/proc_lib.*
%{_libdir64}/erlang/man/man3/proplists.*
%{_libdir64}/erlang/man/man3/qlc.*
%{_libdir64}/erlang/man/man3/queue.*
%{_libdir64}/erlang/man/man3/rand.*
%{_libdir64}/erlang/man/man3/random.*
%{_libdir64}/erlang/man/man3/re.*
%{_libdir64}/erlang/man/man3/sets.*
%{_libdir64}/erlang/man/man3/shell.*
%{_libdir64}/erlang/man/man3/shell_default.*
%{_libdir64}/erlang/man/man3/slave.*
%{_libdir64}/erlang/man/man3/sofs.*
%{_libdir64}/erlang/man/man3/string.*
%{_libdir64}/erlang/man/man3/supervisor.*
%{_libdir64}/erlang/man/man3/supervisor_bridge.*
%{_libdir64}/erlang/man/man3/sys.*
%{_libdir64}/erlang/man/man3/timer.*
%{_libdir64}/erlang/man/man3/unicode.*
%{_libdir64}/erlang/man/man3/zip.*
%{_libdir64}/erlang/man/man6/stdlib.*
%endif

%files syntax_tools
%defattr(-,root,system,-)
%dir %{_libdir64}/erlang/lib/syntax_tools-*/
%{_libdir64}/erlang/lib/syntax_tools-*/ebin
%{_libdir64}/erlang/lib/syntax_tools-*/include
%if %{withdoc}
%{_libdir64}/erlang/man/man3/epp_dodger.*
%{_libdir64}/erlang/man/man3/erl_comment_scan.*
%{_libdir64}/erlang/man/man3/erl_prettypr.*
%{_libdir64}/erlang/man/man3/erl_recomment.*
%{_libdir64}/erlang/man/man3/erl_syntax.*
%{_libdir64}/erlang/man/man3/erl_syntax_lib.*
%{_libdir64}/erlang/man/man3/erl_tidy.*
%{_libdir64}/erlang/man/man3/igor.*
%{_libdir64}/erlang/man/man3/merl.*
%{_libdir64}/erlang/man/man3/merl_transform.*
%{_libdir64}/erlang/man/man3/prettypr.*
%endif

%files tftp
%defattr(-,root,system,-)
%dir %{_libdir64}/erlang/lib/tftp-*/
%{_libdir64}/erlang/lib/tftp-*/ebin
%{_libdir64}/erlang/lib/tftp-*/src
%if %{with doc}
%{_libdir64}/erlang/man/man3/tftp.*
%endif


%files tools
%defattr(-,root,system,-)
%dir %{_libdir64}/erlang/lib/tools-*/
%{_libdir64}/erlang/lib/tools-*/bin
%{_libdir64}/erlang/lib/tools-*/ebin
%{_libdir64}/erlang/lib/tools-*/emacs
%{_libdir64}/erlang/lib/tools-*/src
%if %{withdoc}
%{_libdir64}/erlang/man/man3/cover.*
%{_libdir64}/erlang/man/man3/cprof.*
%{_libdir64}/erlang/man/man3/eprof.*
%{_libdir64}/erlang/man/man3/erlang_mode.*
%{_libdir64}/erlang/man/man3/fprof.*
%{_libdir64}/erlang/man/man3/instrument.*
%{_libdir64}/erlang/man/man3/lcnt.*
%{_libdir64}/erlang/man/man3/make.*
%{_libdir64}/erlang/man/man3/tags.*
%{_libdir64}/erlang/man/man3/xref.*
%endif
%if %{__with_emacs}
%dir %{_emacs_sitelispdir}/erlang
%dir %{_xemacs_sitelispdir}/erlang
%doc %{_emacs_sitelispdir}/erlang/README
%doc %{_xemacs_sitelispdir}/erlang/README
%{_emacs_sitelispdir}/erlang/*.el
%{_emacs_sitelispdir}/erlang/*.elc
%{_emacs_sitestartdir}/erlang-init.el
%{_xemacs_sitelispdir}/erlang/*.el
%{_xemacs_sitelispdir}/erlang/*.elc
%{_xemacs_sitestartdir}/erlang-init.el
%endif %{__with_emacs}


%if %{__with_wxwidgets}
%files wx
%defattr(-,root,system,-)
%dir %{_libdir64}/erlang/lib/wx-*/
%{_libdir64}/erlang/lib/wx-*/ebin
%{_libdir64}/erlang/lib/wx-*/include
%{_libdir64}/erlang/lib/wx-*/priv
%{_libdir64}/erlang/lib/wx-*/src
%if %{withdoc}
%{_libdir64}/erlang/man/man3/gl.*
%{_libdir64}/erlang/man/man3/glu.*
%{_libdir64}/erlang/man/man3/wx.*
%{_libdir64}/erlang/man/man3/wx_misc.*
%{_libdir64}/erlang/man/man3/wx_object.*
%{_libdir64}/erlang/man/man3/wxAcceleratorEntry.*
%{_libdir64}/erlang/man/man3/wxAcceleratorTable.*
%{_libdir64}/erlang/man/man3/wxActivateEvent.*
%{_libdir64}/erlang/man/man3/wxArtProvider.*
%{_libdir64}/erlang/man/man3/wxAuiDockArt.*
%{_libdir64}/erlang/man/man3/wxAuiManager.*
%{_libdir64}/erlang/man/man3/wxAuiManagerEvent.*
%{_libdir64}/erlang/man/man3/wxAuiNotebook.*
%{_libdir64}/erlang/man/man3/wxAuiNotebookEvent.*
%{_libdir64}/erlang/man/man3/wxAuiPaneInfo.*
%{_libdir64}/erlang/man/man3/wxAuiSimpleTabArt.*
%{_libdir64}/erlang/man/man3/wxAuiTabArt.*
%{_libdir64}/erlang/man/man3/wxBitmap.*
%{_libdir64}/erlang/man/man3/wxBitmapButton.*
%{_libdir64}/erlang/man/man3/wxBitmapDataObject.*
%{_libdir64}/erlang/man/man3/wxBoxSizer.*
%{_libdir64}/erlang/man/man3/wxBrush.*
%{_libdir64}/erlang/man/man3/wxBufferedDC.*
%{_libdir64}/erlang/man/man3/wxBufferedPaintDC.*
%{_libdir64}/erlang/man/man3/wxButton.*
%{_libdir64}/erlang/man/man3/wxCalendarCtrl.*
%{_libdir64}/erlang/man/man3/wxCalendarDateAttr.*
%{_libdir64}/erlang/man/man3/wxCalendarEvent.*
%{_libdir64}/erlang/man/man3/wxCaret.*
%{_libdir64}/erlang/man/man3/wxCheckBox.*
%{_libdir64}/erlang/man/man3/wxCheckListBox.*
%{_libdir64}/erlang/man/man3/wxChildFocusEvent.*
%{_libdir64}/erlang/man/man3/wxChoice.*
%{_libdir64}/erlang/man/man3/wxChoicebook.*
%{_libdir64}/erlang/man/man3/wxClientDC.*
%{_libdir64}/erlang/man/man3/wxClipboard.*
%{_libdir64}/erlang/man/man3/wxClipboardTextEvent.*
%{_libdir64}/erlang/man/man3/wxCloseEvent.*
%{_libdir64}/erlang/man/man3/wxColourData.*
%{_libdir64}/erlang/man/man3/wxColourDialog.*
%{_libdir64}/erlang/man/man3/wxColourPickerCtrl.*
%{_libdir64}/erlang/man/man3/wxColourPickerEvent.*
%{_libdir64}/erlang/man/man3/wxComboBox.*
%{_libdir64}/erlang/man/man3/wxCommandEvent.*
%{_libdir64}/erlang/man/man3/wxContextMenuEvent.*
%{_libdir64}/erlang/man/man3/wxControl.*
%{_libdir64}/erlang/man/man3/wxControlWithItems.*
%{_libdir64}/erlang/man/man3/wxCursor.*
%{_libdir64}/erlang/man/man3/wxDataObject.*
%{_libdir64}/erlang/man/man3/wxDateEvent.*
%{_libdir64}/erlang/man/man3/wxDatePickerCtrl.*
%{_libdir64}/erlang/man/man3/wxDC.*
%{_libdir64}/erlang/man/man3/wxDCOverlay.*
%{_libdir64}/erlang/man/man3/wxDialog.*
%{_libdir64}/erlang/man/man3/wxDirDialog.*
%{_libdir64}/erlang/man/man3/wxDirPickerCtrl.*
%{_libdir64}/erlang/man/man3/wxDisplayChangedEvent.*
%{_libdir64}/erlang/man/man3/wxEraseEvent.*
%{_libdir64}/erlang/man/man3/wxEvent.*
%{_libdir64}/erlang/man/man3/wxEvtHandler.*
%{_libdir64}/erlang/man/man3/wxFileDataObject.*
%{_libdir64}/erlang/man/man3/wxFileDialog.*
%{_libdir64}/erlang/man/man3/wxFileDirPickerEvent.*
%{_libdir64}/erlang/man/man3/wxFilePickerCtrl.*
%{_libdir64}/erlang/man/man3/wxFindReplaceData.*
%{_libdir64}/erlang/man/man3/wxFindReplaceDialog.*
%{_libdir64}/erlang/man/man3/wxFlexGridSizer.*
%{_libdir64}/erlang/man/man3/wxFocusEvent.*
%{_libdir64}/erlang/man/man3/wxFont.*
%{_libdir64}/erlang/man/man3/wxFontData.*
%{_libdir64}/erlang/man/man3/wxFontDialog.*
%{_libdir64}/erlang/man/man3/wxFontPickerCtrl.*
%{_libdir64}/erlang/man/man3/wxFontPickerEvent.*
%{_libdir64}/erlang/man/man3/wxFrame.*
%{_libdir64}/erlang/man/man3/wxGauge.*
%{_libdir64}/erlang/man/man3/wxGBSizerItem.*
%{_libdir64}/erlang/man/man3/wxGenericDirCtrl.*
%{_libdir64}/erlang/man/man3/wxGLCanvas.*
%{_libdir64}/erlang/man/man3/wxGraphicsBrush.*
%{_libdir64}/erlang/man/man3/wxGraphicsContext.*
%{_libdir64}/erlang/man/man3/wxGraphicsFont.*
%{_libdir64}/erlang/man/man3/wxGraphicsMatrix.*
%{_libdir64}/erlang/man/man3/wxGraphicsObject.*
%{_libdir64}/erlang/man/man3/wxGraphicsPath.*
%{_libdir64}/erlang/man/man3/wxGraphicsPen.*
%{_libdir64}/erlang/man/man3/wxGraphicsRenderer.*
%{_libdir64}/erlang/man/man3/wxGrid.*
%{_libdir64}/erlang/man/man3/wxGridBagSizer.*
%{_libdir64}/erlang/man/man3/wxGridCellAttr.*
%{_libdir64}/erlang/man/man3/wxGridCellBoolEditor.*
%{_libdir64}/erlang/man/man3/wxGridCellBoolRenderer.*
%{_libdir64}/erlang/man/man3/wxGridCellChoiceEditor.*
%{_libdir64}/erlang/man/man3/wxGridCellEditor.*
%{_libdir64}/erlang/man/man3/wxGridCellFloatEditor.*
%{_libdir64}/erlang/man/man3/wxGridCellFloatRenderer.*
%{_libdir64}/erlang/man/man3/wxGridCellNumberEditor.*
%{_libdir64}/erlang/man/man3/wxGridCellNumberRenderer.*
%{_libdir64}/erlang/man/man3/wxGridCellRenderer.*
%{_libdir64}/erlang/man/man3/wxGridCellStringRenderer.*
%{_libdir64}/erlang/man/man3/wxGridCellTextEditor.*
%{_libdir64}/erlang/man/man3/wxGridEvent.*
%{_libdir64}/erlang/man/man3/wxGridSizer.*
%{_libdir64}/erlang/man/man3/wxHelpEvent.*
%{_libdir64}/erlang/man/man3/wxHtmlEasyPrinting.*
%{_libdir64}/erlang/man/man3/wxHtmlLinkEvent.*
%{_libdir64}/erlang/man/man3/wxHtmlWindow.*
%{_libdir64}/erlang/man/man3/wxIcon.*
%{_libdir64}/erlang/man/man3/wxIconBundle.*
%{_libdir64}/erlang/man/man3/wxIconizeEvent.*
%{_libdir64}/erlang/man/man3/wxIdleEvent.*
%{_libdir64}/erlang/man/man3/wxImage.*
%{_libdir64}/erlang/man/man3/wxImageList.*
%{_libdir64}/erlang/man/man3/wxInitDialogEvent.*
%{_libdir64}/erlang/man/man3/wxJoystickEvent.*
%{_libdir64}/erlang/man/man3/wxKeyEvent.*
%{_libdir64}/erlang/man/man3/wxLayoutAlgorithm.*
%{_libdir64}/erlang/man/man3/wxListbook.*
%{_libdir64}/erlang/man/man3/wxListBox.*
%{_libdir64}/erlang/man/man3/wxListCtrl.*
%{_libdir64}/erlang/man/man3/wxListEvent.*
%{_libdir64}/erlang/man/man3/wxListItem.*
%{_libdir64}/erlang/man/man3/wxListItemAttr.*
%{_libdir64}/erlang/man/man3/wxListView.*
%{_libdir64}/erlang/man/man3/wxLocale.*
%{_libdir64}/erlang/man/man3/wxLogNull.*
%{_libdir64}/erlang/man/man3/wxMask.*
%{_libdir64}/erlang/man/man3/wxMaximizeEvent.*
%{_libdir64}/erlang/man/man3/wxMDIChildFrame.*
%{_libdir64}/erlang/man/man3/wxMDIClientWindow.*
%{_libdir64}/erlang/man/man3/wxMDIParentFrame.*
%{_libdir64}/erlang/man/man3/wxMemoryDC.*
%{_libdir64}/erlang/man/man3/wxMenu.*
%{_libdir64}/erlang/man/man3/wxMenuBar.*
%{_libdir64}/erlang/man/man3/wxMenuEvent.*
%{_libdir64}/erlang/man/man3/wxMenuItem.*
%{_libdir64}/erlang/man/man3/wxMessageDialog.*
%{_libdir64}/erlang/man/man3/wxMiniFrame.*
%{_libdir64}/erlang/man/man3/wxMirrorDC.*
%{_libdir64}/erlang/man/man3/wxMouseCaptureChangedEvent.*
%{_libdir64}/erlang/man/man3/wxMouseCaptureLostEvent.*
%{_libdir64}/erlang/man/man3/wxMouseEvent.*
%{_libdir64}/erlang/man/man3/wxMoveEvent.*
%{_libdir64}/erlang/man/man3/wxMultiChoiceDialog.*
%{_libdir64}/erlang/man/man3/wxNavigationKeyEvent.*
%{_libdir64}/erlang/man/man3/wxNotebook.*
%{_libdir64}/erlang/man/man3/wxNotebookEvent.*
%{_libdir64}/erlang/man/man3/wxNotifyEvent.*
%{_libdir64}/erlang/man/man3/wxOverlay.*
%{_libdir64}/erlang/man/man3/wxPageSetupDialog.*
%{_libdir64}/erlang/man/man3/wxPageSetupDialogData.*
%{_libdir64}/erlang/man/man3/wxPaintDC.*
%{_libdir64}/erlang/man/man3/wxPaintEvent.*
%{_libdir64}/erlang/man/man3/wxPalette.*
%{_libdir64}/erlang/man/man3/wxPaletteChangedEvent.*
%{_libdir64}/erlang/man/man3/wxPanel.*
%{_libdir64}/erlang/man/man3/wxPasswordEntryDialog.*
%{_libdir64}/erlang/man/man3/wxPen.*
%{_libdir64}/erlang/man/man3/wxPickerBase.*
%{_libdir64}/erlang/man/man3/wxPopupTransientWindow.*
%{_libdir64}/erlang/man/man3/wxPopupWindow.*
%{_libdir64}/erlang/man/man3/wxPostScriptDC.*
%{_libdir64}/erlang/man/man3/wxPreviewCanvas.*
%{_libdir64}/erlang/man/man3/wxPreviewControlBar.*
%{_libdir64}/erlang/man/man3/wxPreviewFrame.*
%{_libdir64}/erlang/man/man3/wxPrintData.*
%{_libdir64}/erlang/man/man3/wxPrintDialog.*
%{_libdir64}/erlang/man/man3/wxPrintDialogData.*
%{_libdir64}/erlang/man/man3/wxPrinter.*
%{_libdir64}/erlang/man/man3/wxPrintout.*
%{_libdir64}/erlang/man/man3/wxPrintPreview.*
%{_libdir64}/erlang/man/man3/wxProgressDialog.*
%{_libdir64}/erlang/man/man3/wxQueryNewPaletteEvent.*
%{_libdir64}/erlang/man/man3/wxRadioBox.*
%{_libdir64}/erlang/man/man3/wxRadioButton.*
%{_libdir64}/erlang/man/man3/wxRegion.*
%{_libdir64}/erlang/man/man3/wxSashEvent.*
%{_libdir64}/erlang/man/man3/wxSashLayoutWindow.*
%{_libdir64}/erlang/man/man3/wxSashWindow.*
%{_libdir64}/erlang/man/man3/wxScreenDC.*
%{_libdir64}/erlang/man/man3/wxScrollBar.*
%{_libdir64}/erlang/man/man3/wxScrolledWindow.*
%{_libdir64}/erlang/man/man3/wxScrollEvent.*
%{_libdir64}/erlang/man/man3/wxScrollWinEvent.*
%{_libdir64}/erlang/man/man3/wxSetCursorEvent.*
%{_libdir64}/erlang/man/man3/wxShowEvent.*
%{_libdir64}/erlang/man/man3/wxSingleChoiceDialog.*
%{_libdir64}/erlang/man/man3/wxSizeEvent.*
%{_libdir64}/erlang/man/man3/wxSizer.*
%{_libdir64}/erlang/man/man3/wxSizerFlags.*
%{_libdir64}/erlang/man/man3/wxSizerItem.*
%{_libdir64}/erlang/man/man3/wxSlider.*
%{_libdir64}/erlang/man/man3/wxSpinButton.*
%{_libdir64}/erlang/man/man3/wxSpinCtrl.*
%{_libdir64}/erlang/man/man3/wxSpinEvent.*
%{_libdir64}/erlang/man/man3/wxSplashScreen.*
%{_libdir64}/erlang/man/man3/wxSplitterEvent.*
%{_libdir64}/erlang/man/man3/wxSplitterWindow.*
%{_libdir64}/erlang/man/man3/wxStaticBitmap.*
%{_libdir64}/erlang/man/man3/wxStaticBox.*
%{_libdir64}/erlang/man/man3/wxStaticBoxSizer.*
%{_libdir64}/erlang/man/man3/wxStaticLine.*
%{_libdir64}/erlang/man/man3/wxStaticText.*
%{_libdir64}/erlang/man/man3/wxStatusBar.*
%{_libdir64}/erlang/man/man3/wxStdDialogButtonSizer.*
%{_libdir64}/erlang/man/man3/wxStyledTextCtrl.*
%{_libdir64}/erlang/man/man3/wxStyledTextEvent.*
%{_libdir64}/erlang/man/man3/wxSysColourChangedEvent.*
%{_libdir64}/erlang/man/man3/wxSystemOptions.*
%{_libdir64}/erlang/man/man3/wxSystemSettings.*
%{_libdir64}/erlang/man/man3/wxTaskBarIcon.*
%{_libdir64}/erlang/man/man3/wxTaskBarIconEvent.*
%{_libdir64}/erlang/man/man3/wxTextAttr.*
%{_libdir64}/erlang/man/man3/wxTextCtrl.*
%{_libdir64}/erlang/man/man3/wxTextDataObject.*
%{_libdir64}/erlang/man/man3/wxTextEntryDialog.*
%{_libdir64}/erlang/man/man3/wxToggleButton.*
%{_libdir64}/erlang/man/man3/wxToolBar.*
%{_libdir64}/erlang/man/man3/wxToolbook.*
%{_libdir64}/erlang/man/man3/wxToolTip.*
%{_libdir64}/erlang/man/man3/wxTopLevelWindow.*
%{_libdir64}/erlang/man/man3/wxTreebook.*
%{_libdir64}/erlang/man/man3/wxTreeCtrl.*
%{_libdir64}/erlang/man/man3/wxTreeEvent.*
%{_libdir64}/erlang/man/man3/wxUpdateUIEvent.*
%{_libdir64}/erlang/man/man3/wxWindow.*
%{_libdir64}/erlang/man/man3/wxWindowCreateEvent.*
%{_libdir64}/erlang/man/man3/wxWindowDC.*
%{_libdir64}/erlang/man/man3/wxWindowDestroyEvent.*
%{_libdir64}/erlang/man/man3/wxXmlResource.*
%endif
%endif %{__with_wxwidgets}

%files xmerl
%defattr(-,root,system,-)
%{_libdir64}/erlang/lib/xmerl-*/
%if %{withdoc}
%{_libdir64}/erlang/man/man3/xmerl.*
%{_libdir64}/erlang/man/man3/xmerl_eventp.*
%{_libdir64}/erlang/man/man3/xmerl_sax_parser.*
%{_libdir64}/erlang/man/man3/xmerl_scan.*
%{_libdir64}/erlang/man/man3/xmerl_xpath.*
%{_libdir64}/erlang/man/man3/xmerl_xs.*
%{_libdir64}/erlang/man/man3/xmerl_xsd.*
%endif


%changelog
* Thu Jul 16 2020 Mark Tawfik <mark.tawfik@atos.net> - 23.0-1
- Upgrade to 23.0 (first official release)

* Tue Mar 10 2020 Mark Tawfik <mark.tawfik@atos.net> - 22.2-1
- Upgrade to 22.2

* Thu Mar 16 2017 Jean Girardet <Jean.Girardet@atos.net> - 19.3-1
- erlang  19.3

* Fri Feb 10 2017 Tony Reix <tony.reix@atos.net> - 19.2-3
- Hipe + SMP + Threads.

* Mon Jan 23 2017 Tony Reix <tony.reix@atos.net> - 19.2-2
- Still patches. No Hipe. No SMP. No Threads. No Java.

* Fri Jan 06 2017 Tony Reix <tony.reix@atos.net> - 19.2-1
- First port on AIX 6.1

* Wed Nov 23 2016 Peter Lemenkov <lemenkov@gmail.com> - 19.1.6-2
- Fix HiPE by disabling -fpie
- Fix dialyzer generation

* Wed Nov  9 2016 Peter Lemenkov <lemenkov@gmail.com> - 19.1.6-1
- Ver. 19.1.6

* Mon Nov  7 2016 Peter Lemenkov <lemenkov@gmail.com> - 19.1.5-1
- Ver. 19.1.5

* Fri Oct 14 2016 Peter Lemenkov <lemenkov@gmail.com> - 19.1.4-1
- Ver. 19.1.4

* Tue Oct 11 2016 Peter Lemenkov <lemenkov@gmail.com> - 19.1.3-1
- Ver. 19.1.3

* Thu Oct  6 2016 Peter Lemenkov <lemenkov@gmail.com> - 19.1.2-1
- Ver. 19.1.2

* Tue Oct  4 2016 Peter Lemenkov <lemenkov@gmail.com> - 19.1.1-1
- Ver. 19.1.1

* Wed Sep 14 2016 Peter Lemenkov <lemenkov@gmail.com> - 19.0.7-1
- Ver. 19.0.7

* Wed Sep 14 2016 Peter Lemenkov <lemenkov@gmail.com> - 19.0.6-1
- Ver. 19.0.6

* Tue Aug 23 2016 Peter Lemenkov <lemenkov@gmail.com> - 19.0.5-1
- Ver. 19.0.5

* Tue Aug 16 2016 Peter Lemenkov <lemenkov@gmail.com> - 19.0.4-1
- Ver. 19.0.4

* Fri Aug 12 2016 Michal Toman <mtoman@fedoraproject.org> - 19.0.2-2
- Disable doc on MIPS

* Wed Jul 27 2016 Peter Lemenkov <lemenkov@gmail.com> - 19.0.2-1
- Ver. 19.0.2
- The following packages were removed - ose, test_server (merged into common_test), webtool
- Merge (x)emacs subpackages into erlang-typer

* Tue Jul 26 2016 Peter Lemenkov <lemenkov@gmail.com> - 18.3.4.2-1
- Ver. 18.3.4.2

* Fri Jul 15 2016 Peter Lemenkov <lemenkov@gmail.com> - 18.3.4.1-1
- Ver. 18.3.4.1
- Allow node registration via IPv6 (PR erlang/otp#1129)

* Tue Jun 14 2016 Peter Lemenkov <lemenkov@gmail.com> - 18.3.4-1
- Ver. 18.3.4

* Mon Jun 13 2016 Peter Lemenkov <lemenkov@gmail.com> - 18.3.3-2
- Fix regression with GCC 6.x.y

* Wed May 11 2016 Peter Lemenkov <lemenkov@gmail.com> - 18.3.3-1
- Ver. 18.3.3

* Wed Apr 27 2016 Peter Lemenkov <lemenkov@gmail.com> - 18.3.2-1
- Ver. 18.3.2

* Sun Apr 10 2016 Peter Lemenkov <lemenkov@gmail.com> - 18.3.1-2
- Enable selective building

* Thu Apr  7 2016 Peter Lemenkov <lemenkov@gmail.com> - 18.3.1-1
- Ver. 18.3.1

* Thu Mar 31 2016 Peter Lemenkov <lemenkov@gmail.com> - 18.3-2
- Added patch to suppress sending systemd notifications from epmd if not
  started as a systemd service.

* Thu Mar 24 2016 Peter Lemenkov <lemenkov@gmail.com> - 18.3-1
- Ver. 18.3

* Sun Feb 28 2016 Peter Lemenkov <lemenkov@gmail.com> - 18.2.4-2
- Fixed issue with nodes registration over IPv6

* Tue Feb 23 2016 Peter Lemenkov <lemenkov@gmail.com> - 18.2.4-1
- Ver. 18.2.4
- Build against wxGTK-3.x.y as recommended by upstream. This change won't
  affect "headless" installations.

* Fri Feb 19 2016 Peter Lemenkov <lemenkov@gmail.com> - 18.2.3-3
- Add missing dependency

* Wed Feb 10 2016 Peter Lemenkov <lemenkov@gmail.com> - 18.2.3-2
- Workaround for broken cmpxchg8b inlining on ix86 (rhbz#1240487)
- Don't use generic optimization on ix86
- Increase memory up to 1024 mbytes while generating docs on non-ppc arches

* Tue Feb  9 2016 Peter Lemenkov <lemenkov@gmail.com> - 18.2.3-1
- Ver. 18.2.3

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 18.2.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jan 22 2016 Peter Lemenkov <lemenkov@gmail.com> - 18.2.2-3
- Disable optimizations for Intel Atom CPU on ix86 arches

* Sun Jan 17 2016 John Eckersberg <eck@redhat.com> - 18.2.2-2
- Add patch for epmd ipv6 support (rhbz#1299253)

* Mon Jan 11 2016 Peter Lemenkov <lemenkov@gmail.com> - 18.2.2-1
- Ver. 18.2.2

* Tue Aug 18 2015 John Eckersberg <eck@redhat.com> - 17.4-5
- Disable docs by default on ARM until I figure out why fop hangs

* Wed Aug  5 2015 John Eckersberg <eck@redhat.com> - 17.4-4
- Add patch for CVE-2015-2774 - TLS-1.0 POODLE vulnerability (rhbz#1206712)

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 17.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 17.4-2
- Rebuilt for GCC 5 C++11 ABI change

* Fri Dec 12 2014 Peter Lemenkov <lemenkov@gmail.com> - 17.4-1
- Ver. 17.4

* Mon Dec 01 2014 Peter Lemenkov <lemenkov@gmail.com> - 17.3.4-3
- Disable SSLv3 (see rhbz #1169375)

* Mon Dec 01 2014 Peter Lemenkov <lemenkov@gmail.com> - 17.3.4-2
- Backport useful os:getenv/2 from master (see https://github.com/erlang/otp/pull/535 )

* Sat Nov 08 2014 Peter Lemenkov <lemenkov@gmail.com> - 17.3.4-1
- Ver. 17.3.4 (API/ABI compatible release)
- Relax an erlang-tools dependency on erlang-webtool down to Suggests

* Sun Nov 02 2014 Peter Lemenkov <lemenkov@gmail.com> - 17.3.3-1
- Ver. 17.3.3

* Sun Sep  7 2014 Peter Lemenkov <lemenkov@gmail.com> - 17.2.2-1
- Ver. 17.2.2
- Fixed a race which could make create_table fail if a node was going down
  during the transaction. See upstream issue OTP-12124 for a further reference.

* Tue Aug 26 2014 Peter Lemenkov <lemenkov@gmail.com> - 17.2.1-1
- Ver. 17.2.1
- Removed support for EPEL5
- The following packages were removed - appmon, pman, toolbar, tv
- The following packages were added - ose
- No longer using a pre-built doc-files
- Erlang no longer requires erlang-examples subpackage (see rhbz #1038314)

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - R16B-03.7.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Wed Jun 11 2014 Peter Lemenkov <lemenkov@gmail.com> - R16B-03.7
- Added missing template for epmd@.socket

* Fri Jun 06 2014 Peter Lemenkov <lemenkov@gmail.com> - R16B-03.6
- Add configurable EPMD socket unit
- Change EPMD service's type from simple to notify

* Wed Apr 02 2014 Peter Lemenkov <lemenkov@gmail.com> - R16B-03.5
- Improve EPMD service

* Fri Mar 28 2014 Peter Lemenkov <lemenkov@gmail.com> - R16B-03.4
- Create group and user for EPMD

* Thu Mar 27 2014 Peter Lemenkov <lemenkov@gmail.com> - R16B-03.3
- Ver. R16B03-1 (Bugfix release)
- Enabled systemd support in EPMD

* Fri Feb 7 2014 Sam Kottler <skottler@fedoraproject.org> - R16B-03.2
- Fix macro usage for EPEL7 build and added need_bootstrap

* Tue Dec 24 2013 Peter Lemenkov <lemenkov@gmail.com> - R16B-03.1
- Ver. R16B03

* Tue Oct 29 2013 Peter Lemenkov <lemenkov@gmail.com> - R16B-02.7
- Really disable HiPE on s390(x)

* Tue Oct 29 2013 Peter Lemenkov <lemenkov@gmail.com> - R16B-02.6
- Actually re-enable HiPE

* Mon Oct 28 2013 Peter Lemenkov <lemenkov@gmail.com> - R16B-02.5
- Re-enable HiPE on ppc64, ppc64v7

* Mon Oct 28 2013 Peter Lemenkov <lemenkov@gmail.com> - R16B-02.4
- Disable HiPE on s390(x) (rhbz #1023960)
- Fix HiPE on ppc (rhbz #1023960)

* Thu Oct 24 2013 Peter Lemenkov <lemenkov@gmail.com> - R16B-02.3
- TEMPORARILY disable ECC until dust settles

* Thu Oct 24 2013 Peter Lemenkov <lemenkov@gmail.com> - R16B-02.2
- Fix building for armv7hl (patch taken from OpenSUSE repository)

* Thu Sep 26 2013 Peter Lemenkov <lemenkov@gmail.com> - R16B-02.1
- Ver. R16B02 (see rhbz #1009502)
- Increase erlang(erl_drv_version) from 2.1 to 2.2 (drivers needs rebuilding)
- Remove ancient obsoletes (see rhbz #1002103)
- Removed pre-F18 compatibility
- Enable HiPE

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - R16B-01.1.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jun 19 2013 Peter Lemenkov <lemenkov@gmail.com> - R16B-01.1
- Ver. R16B01
- Added graphviz as a requirement for dialyzer (thanks to Matwey V. Kornilov)

* Mon Mar 11 2013 Peter Lemenkov <lemenkov@gmail.com> - R16B-0.4
- Add Requires for SCTP (dlopened library)

* Sat Mar 02 2013 Peter Lemenkov <lemenkov@gmail.com> - R16B-0.3
- Add neccessary BuildRequires for SCTP

* Sat Mar 02 2013 Peter Lemenkov <lemenkov@gmail.com> - R16B-0.2
- Fixed erts provides

* Thu Feb 28 2013 Peter Lemenkov <lemenkov@gmail.com> - R16B-0.1
- Ver. R16B
- Enabled SCTP (see rhbz #908530)

* Sun Feb 03 2013 Peter Lemenkov <lemenkov@gmail.com> - R16A-0.1
- Ver. R16A

* Tue Dec 25 2012 Peter Lemenkov <lemenkov@gmail.com> - R15B-03.2
- Run make clean before build (to remove pre-built files)

* Fri Dec 21 2012 Peter Lemenkov <lemenkov@gmail.com> - R15B-03.1
- Ver. R15B03 (actually R15B03-1)

* Mon Sep 10 2012 Peter Lemenkov <lemenkov@gmail.com> - R15B-02.1
- Ver. R15B02

* Wed Aug 15 2012 Karsten Hopp <karsten@redhat.com> R15B-01.4.2
- set BASE_OPTIONS to -Xmx1536m on ppc*

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - R15B-01.4.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jun 26 2012 Peter Lemenkov <lemenkov@gmail.com> - R15B-01.3
- Return back erl_interface' private API headers (rhbz #818419)

* Fri Jun 15 2012 Dan HorÃ¡k <dan[at]danny.cz - R15B-01.3
- resolve OOM condition when generating docs

* Mon May 07 2012 Peter Lemenkov <lemenkov@gmail.com> - R15B-01.2
- Fixed examples packaging

* Mon May 07 2012 Peter Lemenkov <lemenkov@gmail.com> - R15B-01.1
- Ver. R15B01
- New sub-package - eldap

* Tue Feb 07 2012 Peter Lemenkov <lemenkov@gmail.com> - R15B-00.1
- Ver. R15B

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - R14B-04.1.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Aug 07 2011 Peter Lemenkov <lemenkov@gmail.com> - R14B-04.1
- Ver. R14B04

* Sun Aug 07 2011 Peter Lemenkov <lemenkov@gmail.com> - R14B-03.3
- Use prebuilt docs on EL-[56] also

* Thu Jul 21 2011 Peter Lemenkov <lemenkov@gmail.com> - R14B-03.2
- Fixed building on F-15

* Wed Jul 20 2011 Peter Lemenkov <lemenkov@gmail.com> - R14B-03.1
- Ver. R14B03
- New module - diameter
- Several new examples directories

* Fri Apr  1 2011 Hans Ulrich Niedermann <hun@n-dimensional.de> - R14B-02.2
- Work around fop-1.0-14.fc16 bug (#689930) by using prebuilt docs for f16/rawhide

* Mon Mar 21 2011 Hans Ulrich Niedermann <hun@n-dimensional.de> - R14B-02.1
- snmp-4.19 (R14B02) ships lib/snmp/bin/snmpc
- inets-5.5.2 puts *.hrl in include/
- install/symlink *.jar into %%{_javadir} (#679031)
- Update to upstream maintenance release R14B02

* Sat Feb 12 2011 Hans Ulrich Niedermann <hun@n-dimensional.de> - R14B-01.5
- erlang-doc does not really require erlang base package (#629723)
- Add %%{?_isa} for all explicit "Requires:"

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - R14B-01.4.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 31 2011 Hans Ulrich Niedermann <hun@n-dimensional.de> - R14B-01.4
- Adapt %%files: Add wxSystemSettings.3 man page
- Adapt %%files for change from run_test to ct_run
- Remove rpaths from lib/ssl-*/bin/esock_ssl
- Update erlang.spec and otp-00*.patch without numbers
- otp-get-patches.sh: Remove patch numbering

* Sun Jan 30 2011 Hans Ulrich Niedermann <hun@n-dimensional.de> - R14B-01.3
- Add "buffer overflow during build" fix (#663260)

* Wed Dec 15 2010 Hans Ulrich Niedermann <hun@n-dimensional.de> - R14B-01.2
- Update to rebased patches

* Mon Dec 13 2010 Hans Ulrich Niedermann <hun@n-dimensional.de> - R14B-01.1
- Update to upstream release R14B01 (the patches still need work)

* Thu Nov 18 2010 Peter Lemenkov <lemenkov@gmail.com> - R14B-0.5
- Fixed building on EL-6

* Mon Nov 15 2010 Peter Lemenkov <lemenkov@gmail.com> - R14B-0.4
- No more dependent on erlang-rpm-macros sub-package

* Thu Nov 11 2010 Peter Lemenkov <lemenkov@gmail.com> - R14B-0.3
- Remove pre-built stuff

* Fri Nov  5 2010 Peter Lemenkov <lemenkov@gmail.com> - R14B-0.2
- Fixed doc-files and man-pages instalation for EL-5
- Temporarily (I hope) disabled emacs-related stuff in EL-5
- Disable erlang-rpm-macros subpackage for EL-5

* Wed Sep 29 2010 jkeating - R14B-0.1.1
- Rebuilt for gcc bug 634757

* Thu Sep 16 2010 Peter Lemenkov <lemenkov@gmail.com> - R14B-0.1
- R14B release

* Mon Aug  2 2010 Hans Ulrich Niedermann <hun@n-dimensional.de> - R14A-0.6
- Implement '--without doc' conditional for faster test builds (#618245).

* Fri Jul 30 2010 Hans Ulrich Niedermann <hun@n-dimensional.de> - R14A-0.5
- Properly hook up (X)Emacs erlang-mode (#491165)

* Mon Jul 26 2010 Hans Ulrich Niedermann <hun@n-dimensional.de> - R14A-0.4
- Spec file cleanups:
  - Avoid accidental %%rel increments by rpmdev-bumpspec.
  - Use %%global for our spec file macros.
  - Use macro for redundant directory names.
  - Whitespace cleanups (tabs vs. spaces).
  - Fix accidental macro usage in %%changelog.

* Wed Jul 14 2010 Dan HorÃ¡k <dan@danny.cz> - R14A-0.3
- rebuilt against wxGTK-2.8.11-2

* Sat Jun 26 2010 Peter Lemenkov <lemenkov@gmail.com> - R14A-0.2
- Updated list of explicit requirements

* Fri Jun 18 2010 Peter Lemenkov <lemenkov@gmail.com> - R14A-0.1
- R14A release

* Sat May 15 2010 Peter Lemenkov <lemenkov@gmail.com> - R13B-04.12
- Moved dialyzer and typer executables from erts to appropriate rpms

* Fri May 14 2010 Peter Lemenkov <lemenkov@gmail.com> - R13B-04.11
- Do not mention nteventlog in os_mon.app, see rhbz #592251

* Thu May  6 2010 Peter Lemenkov <lemenkov@gmail.com> - R13B-04.10
- Disabled automatic requires/provides generation

* Wed Apr 28 2010 Peter Lemenkov <lemenkov@gmail.com> - R13B-04.9
- Added missing files, necessary for emacs (see rhbz #585349)
- Patches rebased

* Tue Apr 27 2010 Peter Lemenkov <lemenkov@gmail.com> - R13B-04.8
- Added missing BuildRequires libxslt (for building docs)
- Removed %%post script completely (resolves rhbz #586428)
- Since now both docs and man-pages are built from sources
- No need to manually create symlinks in %%{_bindir}

* Mon Apr 26 2010 Peter Lemenkov <lemenkov@gmail.com> - R13B-04.7
- Build with erlang-rpm-macros
- Man-files are packed with packages, they belong to

* Mon Apr 26 2010 Peter Lemenkov <lemenkov@gmail.com> - R13B-04.6
- Made erlang-rpm-macros as separate package
- Fix error while installing erlang-rpm-macros

* Sat Apr 17 2010 Peter Lemenkov <lemenkov@gmail.com> - R13B-04.5
- Use erlang rpm macros for adding provides/reqires
- All %%{_libdir}/erlang/lib/* items were splitted off from main package, which
  in turn becomes purely virtual now.
- Removing RPM_BUILD_ROOT from several installed files is no longer required

* Sat Apr 17 2010 Peter Lemenkov <lemenkov@gmail.com> - R13B-04.4
- Added missing Requires mesa-libGL{U} for wx module (rhbz #583287)
- Fix for buffer overflow in pcre module (rhbz #583288)
- Doc sub-package marked as noarch (partially resolves rhbz #491165)

* Fri Mar 26 2010 Peter Lemenkov <lemenkov@gmail.com> - R13B-04.3
- Added rpm-related stuff for auto-generating erlang dependencies in the future builds
- Since now *.yrl files are removed too.
- Removed unnecessary C and Java sources

* Fri Mar 26 2010 Peter Lemenkov <lemenkov@gmail.com> - R13B-04.2
- Do not remove all files from %%{_libdir}/erlang/lib/*/src - keep
  *.[yh]rl intact
- Fix permissions for megaco *.so objects
- Fix permissions for asn1 *.so objects

* Sat Feb 13 2010 Peter Lemenkov <lemenkov@gmail.com> - R13B-04.1
- New release R13B-04
- Since now we're using %%configure instead of ./configure
- Removed no longer needed fix for newer glibc version
- Dropped %%patch3 (applied upstream)
- Rebased patches
- Added BR fop for rebuilding of docs
- Use system-wide zlib instead of shipped one
- Dropped BR gd-devel
- Removed unneeded sources (should be fixed upstream)
- Fixed permission for wx driver (should be fixed upstream)

* Thu Oct 22 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - R13B-02-1
- Update to R13B-02 (patched for what's released as 02-1 by upstream)

* Tue Aug 25 2009 Tomas Mraz <tmraz@redhat.com> - R13B-01.2
- rebuilt with new openssl

* Mon Aug 10 2009 Gerard Milmeister <gemi@bluewin.ch> - R13B-01.1
- update to R13B01

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - R12B-6.7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Apr 21 2009 Debarshi Ray <rishi@fedoraproject.org> R12B-5.7
- Updated rpath patch.
- Fixed configure to respect $RPM_OPT_FLAGS.

* Sun Mar  1 2009 Gerard Milmeister <gemi@bluewin.ch> - R12B-5.6
- new release R12B-5
- link escript and dialyzer to %%{_bindir}

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - R12B-5.5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Feb 14 2009 Dennis Gilmore <dennis@ausil.us> - R12B-4.5
- fix sparc arches to compile

* Fri Jan 16 2009 Tomas Mraz <tmraz@redhat.com> - R12B-4.4
- rebuild with new openssl

* Sat Oct 25 2008 Gerard Milmeister <gemi@bluewin.ch> - R12B-4.1
- new release R12B-4

* Fri Sep  5 2008 Gerard Milmeister <gemi@bluewin.ch> - R12B-3.3
- fixed sslrpath patch

* Thu Jul 17 2008 Tom "spot" Callaway <tcallawa@redhat.com> - R12B-3.2
- fix license tag

* Sun Jul  6 2008 Gerard Milmeister <gemi@bluewin.ch> - R12B-3.1
- new release R12B-3

* Thu Mar 27 2008 Gerard Milmeister <gemi@bluewin.ch> - R12B-1.1
- new release R12B-1

* Sat Feb 23 2008 Gerard Milmeister <gemi@bluewin.ch> - R12B-0.3
- disable strict aliasing optimization

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - R12B-0.2
- Autorebuild for GCC 4.3

* Sat Dec  8 2007 Gerard Milmeister <gemi@bluewin.ch> - R12B-0.1
- new release R12B-0

* Wed Dec 05 2007 Release Engineering <rel-eng at fedoraproject dot org> - R11B-6
 - Rebuild for deps

* Sun Aug 19 2007 Gerard Milmeister <gemi@bluewin.ch> - R11B-5.3
- fix some permissions

* Sat Aug 18 2007 Gerard Milmeister <gemi@bluewin.ch> - R11B-5.2
- enable dynamic linking for ssl

* Sat Aug 18 2007 Gerard Milmeister <gemi@bluewin.ch> - R11B-5.1
- new release R11B-5

* Sat Mar 24 2007 Thomas Fitzsimmons <fitzsim@redhat.com> - R11B-2.4
- Require java-1.5.0-gcj-devel for build.

* Sun Dec 31 2006 Gerard Milmeister <gemi@bluewin.ch> - R11B-2.3
- remove buildroot from installed files

* Sat Dec 30 2006 Gerard Milmeister <gemi@bluewin.ch> - R11B-2.2
- added patch for compiling with glibc 2.5

* Sat Dec 30 2006 Gerard Milmeister <gemi@bluewin.ch> - R11B-2.1
- new version R11B-2

* Mon Aug 28 2006 Gerard Milmeister <gemi@bluewin.ch> - R11B-0.3
- Rebuild for FE6

* Wed Jul  5 2006 Gerard Milmeister <gemi@bluewin.ch> - R11B-0.2
- add BR m4

* Thu May 18 2006 Gerard Milmeister <gemi@bluewin.ch> - R11B-0.1
- new version R11B-0

* Wed May  3 2006 Gerard Milmeister <gemi@bluewin.ch> - R10B-10.3
- added patch for run_erl by Knut-HÃ¥vard Aksnes

* Mon Mar 13 2006 Gerard Milmeister <gemi@bluewin.ch> - R10B-10.1
- new version R10B-10

* Thu Dec 29 2005 Gerard Milmeister <gemi@bluewin.ch> - R10B-9.1
- New Version R10B-9

* Sat Oct 29 2005 Gerard Milmeister <gemi@bluewin.ch> - R10B-8.2
- updated rpath patch

* Sat Oct 29 2005 Gerard Milmeister <gemi@bluewin.ch> - R10B-8.1
- New Version R10B-8

* Sat Oct  1 2005 Gerard Milmeister <gemi@bluewin.ch> - R10B-6.4
- Added tk-devel and tcl-devel to buildreq
- Added tk to req

* Tue Sep  6 2005 Gerard Milmeister <gemi@bluewin.ch> - R10B-6.3
- Remove perl BuildRequires

* Tue Aug 30 2005 Gerard Milmeister <gemi@bluewin.ch> - R10B-6.2
- change /usr/lib to %%{_libdir}
- redirect output in %%post to /dev/null
- add unixODBC-devel to BuildRequires
- split doc off to erlang-doc package

* Sat Jun 25 2005 Gerard Milmeister <gemi@bluewin.ch> - R10B-6.1
- New Version R10B-6

* Sun Feb 13 2005 Gerard Milmeister <gemi@bluewin.ch> - R10B-3.1
- New Version R10B-3

* Mon Dec 27 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:R10B-2-0.fdr.1
- New Version R10B-2

* Wed Oct  6 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:R10B-0.fdr.1
- New Version R10B

* Thu Oct 16 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:R9B-1.fdr.1
- First Fedora release
